<?php

define('A13_TPL_SLUG', 'ceevee');
define('A13_THEME_VER', '1.0');


define('A13_TPL_NAME', 'CeeVee');
define('THEMENAME', A13_TPL_NAME );//same cause this one is used by TGM Plugin Activation
define('A13_TPL_ALT_NAME', 'CeeVee'); //alternative name for visuals
define('A13_TPL_URI', get_template_directory_uri());
define('A13_TPL_DIR', get_template_directory());
define('A13_TPL_INC', A13_TPL_URI . '/inc');
define('A13_TPL_INC_DIR', A13_TPL_DIR . '/inc');
define('A13_TPL_GFX', A13_TPL_URI . '/images');
define('A13_TPL_GFX_DIR', A13_TPL_DIR . '/images');
define('A13_TPL_CSS', A13_TPL_URI . '/css');
define('A13_TPL_CSS_DIR', A13_TPL_DIR . '/css');
define('A13_TPL_JS', A13_TPL_URI . '/js');
define('A13_TPL_ADV', A13_TPL_URI . '/inc');
define('A13_TPL_ADV_DIR', A13_TPL_DIR . '/inc');
define('A13_TPL_PLUGINS', A13_TPL_INC . '/plugins');
define('A13_TPL_PLUGINS_DIR', A13_TPL_INC_DIR . '/plugins');
define('A13_USER_GENERATED', A13_TPL_URI . '/user');
define('A13_USER_GENERATED_DIR', A13_TPL_DIR . '/user');

define('A13_VALIDATION_CLASS', 'apollo_validation_on');
define('A13_DOCS_LINK', 'http://apollo13.eu/docs/ceevee/index.html');


if ( ! function_exists( 'a13_filter_plugin_updates' ) ) :
function a13_filter_plugin_updates( $value ) {
    if( isset($value->response['js_composer/js_composer.php'])){
        unset( $value->response['js_composer/js_composer.php'] );
    }
    
    return $value;
}
endif;

if ( is_admin() ) {
    //set cookie to disable vc notification
    setcookie("vchideactivationmsg", '1');
    
    //set option to disable revoslider notice
    update_option('revslider-valid-notice', 'false');
    
    add_filter( 'site_transient_update_plugins', 'a13_filter_plugin_updates' );
}

function a13_set_lang(){
    $loaded_domain = load_theme_textdomain( 'ceevee', get_template_directory() . '/languages' );
}

if ( !class_exists( 'ReduxFramework' ) && file_exists( dirname( __FILE__ ) . '/redux_framework/ReduxCore/framework.php' ) ) {
require_once( dirname( __FILE__ ) . '/redux_framework/ReduxCore/framework.php' );
}

require_once( dirname( __FILE__ ) . '/theme-options.php' );

//some basic setup
if ( ! isset( $content_width ) ) {
	$content_width = 1170; /* pixels */
}



// UTILITIES
require_once (A13_TPL_INC_DIR . '/utilities.php');


if ( ! function_exists( 'a13_register_required_plugins' ) ) :
function a13_register_required_plugins(){
    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = require_once( A13_TPL_INC_DIR . '/required_plugins_list.php' );

    
    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '', // Default absolute path to pre-packaged plugins.
        'menu' => 'tgmpa-install-plugins', // Menu slug.
        'has_notices' => true, // Show admin notices or not.
        'dismissable' => true, // If false, a user cannot dismiss the nag message.
        'dismiss_msg' => '', // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false, // Automatically activate plugins after installation or not.
        'message' => '', // Message to output right before the plugins table.
        'strings' => array(
            'page_title' => __( 'Install Required Plugins', 'tgmpa' ),
            'menu_title' => __( 'Install Plugins', 'tgmpa' ),
            'installing' => __( 'Installing Plugin: %s', 'tgmpa' ), // %s = plugin name.
            'oops' => __( 'Something went wrong with the plugin API.', 'tgmpa' ),
            'notice_can_install_required' => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' ), // %1$s = plugin name(s).
            'notice_can_install_recommended' => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' ), // %1$s = plugin name(s).
            'notice_cannot_install' => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' ), // %1$s = plugin name(s).
            'notice_can_activate_required' => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.' ), // %1$s = plugin name(s).
            'notice_cannot_activate' => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' ), // %1$s = plugin name(s).
            'notice_ask_to_update' => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.' ), // %1$s = plugin name(s).
            'notice_cannot_update' => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' ), // %1$s = plugin name(s).
            'install_link' => _n_noop( 'Begin installing plugin', 'Begin installing plugins' ),
            'activate_link' => _n_noop( 'Begin activating plugin', 'Begin activating plugins' ),
            'return' => __( 'Return to Required Plugins Installer', 'tgmpa' ),
            'plugin_activated' => __( 'Plugin activated successfully.', 'tgmpa' ),
            'complete' => __( 'All plugins installed and activated successfully. %s', 'tgmpa' ), // %s = dashboard link.
            'nag_type' => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}
endif;




/*
 * Get name of user CSS file in case of multisite
 */
if ( ! function_exists( 'a13_user_css_name' ) ) :
function a13_user_css_name( $public = false ){
    $name = ($public ? A13_USER_GENERATED : A13_USER_GENERATED_DIR) . '/user'; /* user.css - comment just for easier searching */
    if(is_multisite()){
        //add blog id to file
        global $wpdb;
        $name .= '_'.$wpdb->blogid;
    }

    return $name.'.css';
}
endif;
/*
 * Make user CSS file from options about theme layout
 */
if ( ! function_exists( 'a13_generate_user_css' ) ) :
function a13_generate_user_css(){
    if ( is_writable( A13_USER_GENERATED_DIR ) ) {
		$file = a13_user_css_name();
		$fh = @fopen( $file, 'w+' );
		$css = include( A13_TPL_INC_DIR . '/user-css.php' );
		if ( $fh ) {
			fwrite( $fh, $css, strlen( $css ) );
		}
	}    
}
endif;
add_action( 'redux/page/a13_option/form/after', 'a13_generate_user_css' );


if(!function_exists('a13_js_parameters')){
    function a13_js_parameters(){
        global $a13_option;

        $params = array(
            /* GLOBAL OPTIONS */

            'jsurl'             => A13_TPL_JS,
            'imgurl'            => A13_TPL_GFX,
            'plugins'           => plugins_url()
            
        );

        $params['tile_threshold']       = $a13_option['layout_threshold_for_tiles'];
        
        
        //options transferred to js files
        return $params;
    }
}
if(!function_exists('a13_my_theme_add_editor_styles')):
function a13_my_theme_add_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}
endif;
add_action( 'init', 'a13_my_theme_add_editor_styles' );
add_action( 'init' , 'a13_set_lang' );


if ( ! function_exists( 'a13_ceevee_setup' ) ) :

function a13_ceevee_setup() {
    
    
	

	add_theme_support( 'automatic-feed-links' );
    add_theme_support( "post-thumbnails" );

    // Add naviagation menu ability.
	add_theme_support('menus');

    // Add POST FORMATS
    add_theme_support('post-formats', array( 'link', 'quote', 'video'));

    // Switches default core markup for search form, comment form, and comments
    // to output valid HTML5.
    add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );


	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'header-menu' => __be( 'Primary Menu' )
	) );
    
    add_image_size( 'apollo-sidebar-size', 75, 75, true );
    add_image_size( 'apollo-recent-post', 345, 290, true );
    add_image_size( 'apollo-people', 390, 380, true );
    add_image_size( 'apollo-post-brick', 500, 300, true); //(cropped)


}
endif; 
add_action( 'after_setup_theme', 'a13_ceevee_setup' );
// ADMIN PART
if ( is_admin() ) {
    require_once (A13_TPL_INC_DIR . '/admin.php');
    require_once (A13_TPL_INC_DIR . '/admin_ajax.php');
    require_once (A13_TPL_INC_DIR . '/multiupload.php');
    require_once (A13_TPL_INC_DIR . '/print_options.php');
    require_once (A13_TPL_INC_DIR . '/metaboxes.php');
    

    
}

// ADD SIDEBARS & WIDGETS
require_once ( get_template_directory() . '/inc/widgets.php');

//ADD EXTERNAL PLUGINS
require_once ( get_template_directory() . '/inc/class-tgm-plugin-activation.php');
add_action( 'tgmpa_register', 'a13_register_required_plugins' );
//Force Visual Composer to initialize as "built into the theme". This will hide certain tabs under the Settings->Visual Composer page
//if(function_exists('vc_set_as_theme')) vc_set_as_theme();

/**
 * Enqueue scripts and styles.
 */
if ( ! function_exists( 'a13_fe_scripts' ) ) :
function a13_fe_scripts() {
    //on fresh install/update
    $user_css_file_name = a13_user_css_name();
    if(!file_exists($user_css_file_name) or !get_option( 'a13_ceevee_version', false ) or A13_THEME_VER > get_option( 'a13_ceevee_version', false ) ){
        update_option( 'a13_ceevee_version', A13_THEME_VER );
        a13_generate_user_css();
    }
    $apollo_params = a13_js_parameters();
    wp_enqueue_style( 'font-awesome', '//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css', false, '4.3.0');
    
	wp_enqueue_style( 'main-style', get_stylesheet_uri() );
    
    wp_register_style('owl_carousel_css', A13_TPL_CSS . '/owl_carousel.css', array(), A13_THEME_VER);
    wp_enqueue_style('owl_carousel_css');
    
    wp_register_style('custom_scrollbar_css', A13_TPL_CSS . '/jquery.mCustomScrollbar.css', array(), A13_THEME_VER);

    wp_register_style('mmenu', A13_TPL_CSS . '/jquery.mmenu.all.css', array(), A13_THEME_VER);
    wp_enqueue_style('mmenu');
    
    
    wp_register_style('user-css', a13_user_css_name(true), array('main-style'), A13_THEME_VER);
    wp_enqueue_style('user-css');
    
    if ( is_singular() && get_option( 'thread_comments' ) ){
        wp_enqueue_script( 'comment-reply' );
    }
	if( isset($_SERVER['HTTP_USER_AGENT']) ){
        if(preg_match('/(?i)msie [9]/',$_SERVER['HTTP_USER_AGENT']))
        {
            // if IE9
            wp_enqueue_script( 'html5FORie9', 'http://html5shim.googlecode.com/svn/trunk/html5.js', array(), A13_THEME_VER, true );
        }
    }
    
    wp_enqueue_script( 'modernizer', A13_TPL_URI . '/js/modernizr.min.js', array('jquery'), '2.6.2', true );
    
    
    wp_enqueue_script( 'jquery_easing', A13_TPL_URI . '/js/jquery.easing.js', array(), '20120206', true );
    	
    wp_enqueue_script( 'owl_carousel_js', A13_TPL_JS . '/owl.carousel.min.js', array('jquery'), '1.3.3', true);
    wp_register_script( 'custom_scrollbar_js', A13_TPL_JS . '/jquery.mCustomScrollbar.concat.min.js', array('jquery'), '1.3.3', true);
    wp_register_script( 'packery', A13_TPL_JS . '/packery-mode.pkgd.js', array('jquery','isotope'), A13_THEME_VER, true);
    
    
    
    wp_enqueue_script( 'mmenu', A13_TPL_JS . '/jquery.mmenu.min.all.js', array('jquery'), A13_THEME_VER, true);
    wp_enqueue_script( 'apollo13-plugins', get_template_directory_uri() . '/js/plugins.js', array('jquery'), A13_THEME_VER, false);
    wp_localize_script( 'jquery', 'ApolloParams', $apollo_params );    
    wp_enqueue_script( 'fe_scripts', get_template_directory_uri() . '/js/scripts.js', array('apollo13-plugins'), A13_THEME_VER, true );
    
    
    wp_enqueue_style('custom_scrollbar_css');
    wp_enqueue_script('custom_scrollbar_js');
    
    wp_enqueue_script( 'prettyphoto' );
    wp_enqueue_style( 'prettyphoto' );
    
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
endif;
add_action( 'wp_enqueue_scripts', 'a13_fe_scripts' );

if ( ! function_exists( 'a13_new_excerpt_more' ) ) :
function a13_new_excerpt_more( $more ) {
    return '...<br/> <a class="more-link a13-sc-button '.( defined('A13_POST_LIST_SC') ? 'g-link' : '' ).'" '.( defined('A13_POST_LIST_SC') ? 'data-post-type="post" data-href="'. get_permalink( get_the_ID() ) . '"' : '' ).' href="'. get_permalink( get_the_ID() ) . '">'.__fe('Read More' ).'</a>';
}
endif;
add_filter('excerpt_more', 'a13_new_excerpt_more');
add_filter( 'the_content_more_link', 'a13_new_excerpt_more' );


function a13_wp_title( $title, $sep ) {
    global $paged, $page;
     
    if ( is_feed() ) {
        return $title;
    } // end if
     
    // Add the site name.
    $title .= get_bloginfo( 'name' );
     
    // Add the site description for the home/front page.
    $site_description = get_bloginfo( 'description', 'display' );
    if ( $site_description && ( is_home() || is_front_page() ) ) {
        $title = "$title $sep $site_description";
    } // end if
     
    // Add a page number if necessary.
    if ( $paged >= 2 || $page >= 2 ) {
        $title = sprintf( __( 'Page %s', 'ceevee' ), max( $paged, $page ) ) . " $sep $title";
    } // end if
     
    return $title;
 
} // end 
add_filter( 'wp_title', 'a13_wp_title', 10, 2 );