<?php

function apollo13_revslider_list(){
    global $wpdb;
    $revsliders = array();
    $table_name = $wpdb->prefix . "revslider_sliders";
    if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") != $table_name) {
        return $revsliders;
    }
    
	$rs = $wpdb->get_results(
				"
      SELECT id, title, alias
      FROM " . $table_name ."
      ORDER BY id ASC LIMIT 999
      "
	);
	
	if ( $rs ) {
		foreach ( $rs as $slider ) {
			$revsliders[$slider->title] = $slider->alias;
		}
	} else {
		$revsliders[__be( 'No sliders found' )] = 0;
	}
    return $revsliders;
}
if (!function_exists('redux_init')) :
	function redux_init() {
	/**
		ReduxFramework Sample Config File
		For full documentation, please visit: https://github.com/ReduxFramework/ReduxFramework/wiki
	**/


	/**
	 
		Most of your editing will be done in this section.

		Here you can override default values, uncomment args and change their values.
		No $args are required, but they can be overridden if needed.
		
	**/
	$args = array();


	// For use with a tab example below
	$tabs = array();

	ob_start();

	$ct = wp_get_theme();
	$theme_data = $ct;
	$item_name = $theme_data->get('Name'); 
	$tags = $ct->Tags;
	$screenshot = $ct->get_screenshot();
	$class = $screenshot ? 'has-screenshot' : '';

	$customize_title = sprintf( __( 'Customize &#8220;%s&#8221;','redux-framework-demo' ), $ct->display('Name') );

	?>
	<div id="current-theme" class="<?php echo esc_attr( $class ); ?>">
		<?php if ( $screenshot ) : ?>
			<?php if ( current_user_can( 'edit_theme_options' ) ) : ?>
			<a href="<?php echo wp_customize_url(); ?>" class="load-customize hide-if-no-customize" title="<?php echo esc_attr( $customize_title ); ?>">
				<img src="<?php echo esc_url( $screenshot ); ?>" alt="<?php esc_attr_e( 'Current theme preview' ); ?>" />
			</a>
			<?php endif; ?>
			<img class="hide-if-customize" src="<?php echo esc_url( $screenshot ); ?>" alt="<?php esc_attr_e( 'Current theme preview' ); ?>" />
		<?php endif; ?>

		<h4>
			<?php echo $ct->display('Name'); ?>
		</h4>

		<div>
			<ul class="theme-info">
				<li><?php printf( __('By %s','redux-framework-demo'), $ct->display('Author') ); ?></li>
				<li><?php printf( __('Version %s','redux-framework-demo'), $ct->display('Version') ); ?></li>
				<li><?php echo '<strong>'.__('Tags', 'redux-framework-demo').':</strong> '; ?><?php printf( $ct->display('Tags') ); ?></li>
			</ul>
			<p class="theme-description"><?php echo $ct->display('Description'); ?></p>
			<?php if ( $ct->parent() ) {
				printf( ' <p class="howto">' . __( 'This <a href="%1$s">child theme</a> requires its parent theme, %2$s.' ) . '</p>',
					__( 'http://codex.wordpress.org/Child_Themes','redux-framework-demo' ),
					$ct->parent()->display( 'Name' ) );
			} ?>
			
		</div>

	</div>

	<?php
	$item_info = ob_get_contents();
	    
	ob_end_clean();



	// BEGIN Sample Config

	// Setting dev mode to true allows you to view the class settings/info in the panel.
	// Default: true
	$args['dev_mode'] = false;

	// Set the icon for the dev mode tab.
	// If $args['icon_type'] = 'image', this should be the path to the icon.
	// If $args['icon_type'] = 'iconfont', this should be the icon name.
	// Default: info-sign
	//$args['dev_mode_icon'] = 'info-sign';

	// Set the class for the dev mode tab icon.
	// This is ignored unless $args['icon_type'] = 'iconfont'
	// Default: null
	//$args['dev_mode_icon_class'] = '';

	// Set a custom option name. Don't forget to replace spaces with underscores!
	$args['opt_name'] = 'a13_option';
    $args['save_defaults'] = true;
    
	// Setting system info to true allows you to view info useful for debugging.
	// Default: false
	//$args['system_info'] = true;


	// Set the icon for the system info tab.
	// If $args['icon_type'] = 'image', this should be the path to the icon.
	// If $args['icon_type'] = 'iconfont', this should be the icon name.
	// Default: info-sign
	//$args['system_info_icon'] = 'info-sign';

	// Set the class for the system info tab icon.
	// This is ignored unless $args['icon_type'] = 'iconfont'
	// Default: null
	//$args['system_info_icon_class'] = 'icon-large';

	$theme = wp_get_theme();

	$args['display_name'] = $theme->get('Name');
	//$args['database'] = "theme_mods_expanded";
	$args['display_version'] = $theme->get('Version');

	// If you want to use Google Webfonts, you MUST define the api key.
	$args['google_api_key'] = 'AIzaSyAX_2L_UzCDPEnAHTG7zhESRVpMPS4ssII';

	// Define the starting tab for the option panel.
	// Default: '0';
	//$args['last_tab'] = '0';

	// Define the option panel stylesheet. Options are 'standard', 'custom', and 'none'
	// If only minor tweaks are needed, set to 'custom' and override the necessary styles through the included custom.css stylesheet.
	// If replacing the stylesheet, set to 'none' and don't forget to enqueue another stylesheet!
	// Default: 'standard'
	//$args['admin_stylesheet'] = 'standard';

	// Setup custom links in the footer for share icons
/*
	$args['share_icons']['twitter'] = array(
	    'link' => 'http://twitter.com/ghost1227',
	    'title' => 'Follow me on Twitter', 
	    'img' => ReduxFramework::$_url . 'assets/img/social/Twitter.png'
	);
	$args['share_icons']['linked_in'] = array(
	    'link' => 'http://www.linkedin.com/profile/view?id=52559281',
	    'title' => 'Find me on LinkedIn', 
	    'img' => ReduxFramework::$_url . 'assets/img/social/LinkedIn.png'
	);
*/
	// Enable the import/export feature.
	// Default: true
	//$args['show_import_export'] = false;

	// Set the icon for the import/export tab.
	// If $args['icon_type'] = 'image', this should be the path to the icon.
	// If $args['icon_type'] = 'iconfont', this should be the icon name.
	// Default: refresh
	//$args['import_icon'] = 'refresh';

	// Set the class for the import/export tab icon.
	// This is ignored unless $args['icon_type'] = 'iconfont'
	// Default: null
	//$args['import_icon_class'] = '';

	/**
	 * Set default icon class for all sections and tabs
	 * @since 3.0.9
	 */
	//$args['default_icon_class'] = '';


	// Set a custom menu icon.
	//$args['menu_icon'] = '';

	// Set a custom title for the options page.
	// Default: Options
	$args['menu_title'] = __be('CeeVee options');

	// Set a custom page title for the options page.
	// Default: Options
	$args['page_title'] = __be('CeeVee options');

	// Set a custom page slug for options page (wp-admin/themes.php?page=***).
	// Default: redux_options
	$args['page_slug'] = 'ceevee_options';

	$args['default_show'] = false;
	$args['default_mark'] = '*';

	// Set a custom page capability.
	// Default: manage_options
	//$args['page_cap'] = 'manage_options';

	// Set the menu type. Set to "menu" for a top level menu, or "submenu" to add below an existing item.
	// Default: menu
	//$args['page_type'] = 'submenu';

	// Set the parent menu.
	// Default: themes.php
	// A list of available parent menus is available at http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
	//$args['page_parent'] = 'options-general.php';

	// Set a custom page location. This allows you to place your menu where you want in the menu order.
	// Must be unique or it will override other items!
	// Default: null
	//$args['page_position'] = null;

	// Set a custom page icon class (used to override the page icon next to heading)
	//$args['page_icon'] = 'icon-themes';

	// Set the icon type. Set to "iconfont" for Elusive Icon, or "image" for traditional.
	// Redux no longer ships with standard icons!
	// Default: iconfont
	//$args['icon_type'] = 'image';

	// Disable the panel sections showing as submenu items.
	// Default: true
	//$args['allow_sub_menu'] = false;
    $args['update_notice'] = false;
	    
	// Set ANY custom page help tabs, displayed using the new help tab API. Tabs are shown in order of definition.
	$args['help_tabs'][] = array(
	    'id' => 'redux-opts-1',
	    'title' => __('Theme Information 1', 'redux-framework-demo'),
	    'content' => __('<p>This is the tab content, HTML is allowed.</p>', 'redux-framework-demo')
	);
	$args['help_tabs'][] = array(
	    'id' => 'redux-opts-2',
	    'title' => __('Theme Information 2', 'redux-framework-demo'),
	    'content' => __('<p>This is the tab content, HTML is allowed.</p>', 'redux-framework-demo')
	);

	// Set the help sidebar for the options page.                                        
	$args['help_sidebar'] = __('<p>This is the sidebar content, HTML is allowed.</p>', 'redux-framework-demo');


	// Add HTML before the form.
	if (!isset($args['global_variable']) || $args['global_variable'] !== false ) {
		if (!empty($args['global_variable'])) {
			$v = $args['global_variable'];
		} else {
			$v = str_replace("-", "_", $args['opt_name']);
		}
		$args['intro_text'] = sprintf( __('<p>Did you know that Redux sets a global variable for you? To access any of your saved options from within your code you can use your global variable: <strong>$%1$s</strong></p>', 'redux-framework-demo' ), $v );
	} else {
		$args['intro_text'] = __('<p>This text is displayed above the options panel. It isn\'t required, but more info is always better! The intro_text field accepts all HTML.</p>', 'redux-framework-demo');
	}
    //unset($args['intro_text']);
	// Add content after the form.
	$args['footer_text'] = __('<p>This text is displayed below the options panel. It isn\'t required, but more info is always better! The footer_text field accepts all HTML.</p>', 'redux-framework-demo');

	// Set footer/credit line.
	//$args['footer_credit'] = __('<p>This text is displayed in the options panel footer across from the WordPress version (where it normally says \'Thank you for creating with WordPress\'). This field accepts all HTML.</p>', 'redux-framework-demo');


	$sections = array();              

	//Background Patterns Reader
	$sample_patterns_path = ReduxFramework::$_dir . '../sample/patterns/';
	$sample_patterns_url  = ReduxFramework::$_url . '../sample/patterns/';
	$sample_patterns      = array();

	if ( is_dir( $sample_patterns_path ) ) :
		
	  if ( $sample_patterns_dir = opendir( $sample_patterns_path ) ) :
	  	$sample_patterns = array();

	    while ( ( $sample_patterns_file = readdir( $sample_patterns_dir ) ) !== false ) {

	      if( stristr( $sample_patterns_file, '.png' ) !== false || stristr( $sample_patterns_file, '.jpg' ) !== false ) {
	      	$name = explode(".", $sample_patterns_file);
	      	$name = str_replace('.'.end($name), '', $sample_patterns_file);
	      	$sample_patterns[] = array( 'alt'=>$name,'img' => $sample_patterns_url . $sample_patterns_file );
	      }
	    }
	  endif;
	endif;
    
    
        
    $sections[] = array(
        'title' => __be( 'Layout' ),
		'icon' => 'el-icon-eye-open',
        'heading' => '',
        'desc'    => '',
        'fields'  => array(
            
        ),
    );
    
    $sections[] = array(
        'title' => __be( 'General' ),
		'icon' => 'el-icon-eye-open',
        'subsection' =>true,
        'desc'    => '',
        'fields'  => array(
            
            array(
				'id'            => 'layout_favicon',
				'type'          => 'media', 
				'title'         => __be( 'Favicon' ),
				'desc'          => __be( 'Enter an URL or upload an image for favicon. It will appear in adress bar or on tab in browser. Image should be square (16x16px or 32x32px). Paste the full URL (include http://).' ),
				'default'  => array(
                    'url'=>'http://ceevee.apollo13.eu/wp-content/uploads/2015/03/favicon1.gif',
                    'width' => '16',
                    'height' => '16'
                ),
			),
            array(
				'id'            => 'layout_background_image',
				'type'          => 'media', 
				'title'         => __be( 'Custom image for background' ),
                'subtitle'      => '',
				'desc'          => '',
                'default'  => array(
                    'url'=>'http://ceevee.apollo13.eu/wp-content/uploads/2015/03/BG12.jpg',
                    'width' => '1980',
                    'height' => '1311'
                ),
			),
            array(
				'id'            => 'layout_background_image_fit',
				'type'          => 'select',
				'options'       => array(
                                        'cover'     => __be( 'Cover' ),
                                        'contain'   => __be( 'Contain' ),
                                        'fitV'      => __be( 'Fit Vertically' ),
                                        'fitH'      => __be( 'Fit Horizontally' ),
                                        'center'    => __be( 'Just center' ),
                                        'repeat'    => __be( 'Repeat' ),
                                    ),
                'default'       => 'cover',
                'placeholder'   => __be( 'Pick one' ), 
				'title'         => __be( 'How to fit background image' ), 
				'subtitle'      => "",
				'desc'          => "",
			),
            array(
				'id'            => 'layout_background_image_attachment',
				'type'          => 'button_set',
				'title'         => __be( 'Background attachment' ),
				'subtitle'      => "",
				'desc'          => "",
				'options'       => array( 'fixed' => __be( 'fixed' ), 'scroll' => __be( 'scroll' ) ),//Must provide key => value pairs for radio options
				'default'       => 'fixed',
			),
            array(
				'id'            => 'layout_background_color',
				'type'          => 'color', 
				'title'         => __be( 'Custom background color' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#222222',
				'validate'      => 'color',
			),
        ),
    );
    
    $sections[] = array(
        'title' => __be( 'Logo' ),
		'icon' => 'el-icon-eye-open',
        'subsection' =>true,
        'desc'    => '',
        'fields'  => array(
            array(
				'id'            => 'layout_logo_type',
				'type'          => 'button_set',
				'title'         => __be( 'Logo type' ),
				'subtitle'      => "",
				'desc'          => "",
				'options'       => array( 'image' => __be( 'Image' ), 'text' => __be( 'Text' ), 'image_text' => __be( 'Image with text' ) ),//Must provide key => value pairs for radio options
				'default'       => 'image',
			),
            array(
				'id'            => 'layout_logo_image1',
				'type'          => 'media', 
				'title'         => __be( 'Logo image' ),
                'required'      => array( 'layout_logo_type', 'contains', 'image' ),
				'desc'          => '',
                'default'  => array(
                    'url'=>'http://ceevee.apollo13.eu/wp-content/uploads/2015/03/logo.png',
                    'width' => '345',
                    'height' => '79'
                ),
				
			),
            array(
				'id'            => 'layout_logo_retina_image1',
				'type'          => 'media', 
				'title'         => __be( 'Logo image' ),
                'subtitle'      => __be( 'for retina and other HDPI devices' ),
                'required'      => array( 'layout_logo_type', 'contains', 'image' ),
				'desc'          => '',
                'default'  => array(
                    'url'=>'http://ceevee.apollo13.eu/wp-content/uploads/2015/03/logo@2x.png',
                    'width' => '518',
                    'height' => '119'
                ),
				
			),
            array(
				'id'            => 'layout_logo_image1_top',
				'type'          => 'slider', 
				'title'         => __be( 'Logo image top margin' ),
                'subtitle'      => __be( 'Only for header shield, in pixels' ),
                'required'      => array( 'layout_logo_type', 'contains', 'image' ),
				'desc'          => '',
				"default" 		=> '30',
				"min" 		    => "0",
                "step"          => "1",
				"max" 		    => "150",  
			),  
            array(
				'id'            => 'layout_logo_text',
				'type'          => 'text',
				'title'         => __be( 'Text' ),
                "default"       => 'CeeVee',
                'required'      => array( 'layout_logo_type', 'contains', 'text' ),
				'subtitle'      => "",
				'desc'          => "",
			),
            array(
				'id'            => 'layout_logo_text_color',
				'type'          => 'color', 
				'title'         => __be( 'Color' ),
                'required'      => array( 'layout_logo_type', 'contains', 'text' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#FFFFFF',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_logo_text_size',
				'type'          => 'slider', 
				'title'         => __be( 'Text size' ),
                'subtitle'      => __be( 'in pixels' ),
                'required'      => array( 'layout_logo_type', 'contains', 'text' ),
				'desc'          => '',
				"default" 		=> '24',
				"min" 		    => "10",
                "step"          => "1",
				"max" 		    => "30",  
			), 
            array(
				'id'            => 'layout_logo_text_weight',
				'type'          => 'button_set', 
				'title'         => __be( 'Text weight' ),
                'desc'          => "",
				'subtitle'      => "",
                'required'      => array( 'layout_logo_type', '=', 'text' ),
				'options'       => array( 'normal' => __be( 'Normal' ), 'bold' => __be( 'Bold' ) ),//Must provide key => value pairs for radio options
				'default'       => 'bold'
			),	
            array(
				'id'            => 'layout_logo_text_transform',
				'type'          => 'button_set', 
				'title'         => __be( 'Text transform' ),
                'desc'          => "",
				'subtitle'      => "",
                'required'      => array( 'layout_logo_type', '=', 'text' ),
				'options'       => array( 'lowercase' => __be( 'Lowercase' ), 'none' => __be( 'None' ), 'uppercase' => __be( 'Uppercase' ) ),//Must provide key => value pairs for radio options
				'default'       => 'uppercase'
			),	
            array(
				'id'            => 'layout_logo_spacing',
				'type'          => 'spacing',
				'mode'          => 'padding', // absolute, padding, margin, defaults to padding
				
				'units'         => 'px', // You can specify a unit value. Possible: px, em, %
				
				'title'         => __be( 'Logo padding' ),
				'subtitle'      => "",
				'desc'          => "",
                'required'      => array( 'layout_logo_type', 'contains', 'text' ),
				'default'       => array('padding-top' => '0px','padding-right'=>'0px', 'padding-bottom' => '0px', 'padding-left'=>'0px' ),
                'output'        => array( '#logo > div' )
			),	
           
            
        ),
    );
    
    $sections[] = array(
        'title' => __be( 'Preloader' ),
		'icon' => 'el-icon-eye-open',
        'subsection' =>true,
        'desc'    => '',
        'fields'  => array(
            
            
            array(
				'id'            => 'preloader_enable',
				'type'          => 'switch', 
				'title'         => __be( 'Preloader' ),
                'desc'          => '',
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'Enable' ),
                'off'           => __be( 'Disable' ),
			),	
            array(
				'id'            => 'layout_preloader_overlay_color',
				'type'          => 'color_rgba', 
				'title'         => __be( 'Background color' ),
                'desc'          => __be( 'Can have transparecy, so the background image could be visible' ),
				'subtitle'      => "",
				'default'  => array(
                    'color' => '#000000',
                    'alpha' => '0.0'
                ),
				'validate'      => 'colorrgba',
                'required'      => array( 'preloader_enable', '=', '1' ),
			),
            array(
				'id'            => 'layout_preloader_icon1',
				'type'          => 'media', 
				'title'         => __be( 'Preloader icon 1' ),
				'desc'          => '',
                
                'required'      => array( 'preloader_enable', '=', '1' ),
                
			),
            array(
				'id'            => 'layout_preloader_icon2',
				'type'          => 'media', 
				'title'         => __be( 'Preloader icon 2' ),
                'subtitle'      => '',
				'desc'          => '',
                
                'required'      => array( 'preloader_enable', '=', '1' ),
			),
            array(
				'id'            => 'layout_preloader_stroke_color1',
				'type'          => 'color', 
				'title'         => __be( 'Primary color of preloader circle' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#3f3f3f',
				'validate'      => 'color',
                'required'      => array( 'preloader_enable', '=', '1' ),
			),
            array(
				'id'            => 'layout_preloader_stroke_color2',
				'type'          => 'color', 
				'title'         => __be( 'Secondary color of preloader circle' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#e2e2e2',
				'validate'      => 'color',
                'required'      => array( 'preloader_enable', '=', '1' ),
			),
            array(
				'id'            => 'layout_preloader_circle_radius',
				'type'          => 'slider', 
				'title'         => __be( 'Spinning circle radius' ),
                'subtitle'      => '',
                'required'      => array( 'preloader_enable', '=', '1' ),
				'desc'          => '',
				"default" 		=> '50',
				"min" 		    => "50",
                "step"          => "1",
				"max" 		    => "200",  
			),
            array(
				'id'            => 'layout_preloader_circle_width',
				'type'          => 'slider', 
				'title'         => __be( 'Spinning circle width' ),
                'subtitle'      => '',
                'required'      => array( 'preloader_enable', '=', '1' ),
				'desc'          => '',
				"default" 		=> '6',
				"min" 		    => "1",
                "step"          => "1",
				"max" 		    => "50",  
			),
        ),
    );
    
    $sections[] = array(
        'title' => __be( 'Header' ),
		'icon' => 'el-icon-eye-open',
        'subsection' =>true,
        'desc'    => '',
        'fields'  => array(
            
            
            array(
				'id'            => 'layout_header_social',
				'type'          => 'switch', 
				'title'         => __be( 'Display social icos in header?' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'Yes' ),
                'off'           => __be( 'No' ),
			),
            
            
            
        ),
    );
    
    $sections[] = array(
        'title' => __be( 'Buttons and links' ),
		'icon' => 'el-icon-eye-open',
        'subsection' =>true,
        'desc'    => '',
        'fields'  => array(
            array(
				'id'            => 'layout_btn_font_color',
				'type'          => 'color', 
				'title'         => __be( "Button's font color" ),
                'desc'          => __be( "Will be used as background color of hover action, and as a color for button's border" ),
				'subtitle'      => "",
				'default'       => '#ffffff',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_btn_bg_color',
				'type'          => 'color', 
				'title'         => __be( "Button's background color" ),
                'desc'          => __be( "Will be used as font color of hover action" ),
				'subtitle'      => "",
				'default'       => '#4f4f4f',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_btn_font_size',
				'type'          => 'slider', 
				'title'         => __be( "Button's font size" ),
                'subtitle'      => "",
				'desc'          => "",
				"default" 		=> "12",
				"min" 		    => "10",
                "step"          => "1",
				"max" 		    => "40",  
			), 
            array(
				'id'            => 'layout_btn_spacing',
				'type'          => 'spacing',
				'mode'          => 'padding', // absolute, padding, margin, defaults to padding
				//'units'         => 'px', // You can specify a unit value. Possible: px, em, %
				
				'title'         => __be( "Button's paddings" ),
				'subtitle'      => "",
				'desc'          => "",
				'default'       => array('padding-top' => '10px', 'padding-bottom' => '10px', 'padding-left'=>'20px', 'padding-right'=>'20px' )
			),	
            array(
				'id'            => 'layout_btn_transform',
				'type'          => 'button_set', 
				'title'         => __be( "Button's text transform" ),
                'desc'          => "",
				'subtitle'      => "",
				'options'       => array( 'lowercase' => __be( 'Lowercase' ), 'none' => __be( 'None' ), 'uppercase' => __be( 'Uppercase' ) ),//Must provide key => value pairs for radio options
				'default'       => 'uppercase'
			),	
            array(
				'id'            => 'layout_btn_text_weight',
				'type'          => 'button_set', 
				'title'         => __be( "Button's font weight" ),
                'desc'          => "",
				'subtitle'      => "",
				'options'       => array( 'normal' => __be( 'Normal' ), 'bold' => __be( 'Bold' ) ),//Must provide key => value pairs for radio options
				'default'       => 'bold'
			),
            array(
				'id'            => 'layout_anchor_color',
				'type'          => 'color', 
				'title'         => __be( 'Links color' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#5e5e5e',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_anchor_hover_color',
				'type'          => 'color', 
				'title'         => __be( 'Links color on-hover' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#222222',
				'validate'      => 'color',
			),
           
        ),
    );
    
    $sections[] = array(
        'title' => __be( 'Headings' ),
		'icon' => 'el-icon-eye-open',
        'subsection' =>true,
        'desc'    => '',
        'fields'  => array(
            array(
				'id'            => 'layout_h1_font_size',
				'type'          => 'slider', 
				'title'         => __be( 'H1 font size' ),
                'subtitle'      => __be( 'in pixels' ),
				'desc'          => '',
				"default" 		=> '50',
				"min" 		    => "10",
                "step"          => "1",
				"max" 		    => "50",  
			), 
            array(
				'id'            => 'layout_h2_font_size',
				'type'          => 'slider', 
				'title'         => __be( 'H2 font size' ),
                'subtitle'      => __be( 'in pixels' ),
				'desc'          => '',
				"default" 		=> '40',
				"min" 		    => "10",
                "step"          => "1",
				"max" 		    => "50",  
			), 
            array(
				'id'            => 'layout_h3_font_size',
				'type'          => 'slider', 
				'title'         => __be( 'H3 font size' ),
                'subtitle'      => __be( 'in pixels' ),
				'desc'          => '',
				"default" 		=> '30',
				"min" 		    => "10",
                "step"          => "1",
				"max" 		    => "50",  
			), 
            array(
				'id'            => 'layout_h4_font_size',
				'type'          => 'slider', 
				'title'         => __be( 'H4 font size' ),
                'subtitle'      => __be( 'in pixels' ),
				'desc'          => '',
				"default" 		=> '26',
				"min" 		    => "10",
                "step"          => "1",
				"max" 		    => "50",  
			), 
            array(
				'id'            => 'layout_h5_font_size',
				'type'          => 'slider', 
				'title'         => __be( 'H5 font size' ),
                'subtitle'      => __be( 'in pixels' ),
				'desc'          => '',
				"default" 		=> '20',
				"min" 		    => "10",
                "step"          => "1",
				"max" 		    => "50",  
			), 
            array(
				'id'            => 'layout_h6_font_size',
				'type'          => 'slider', 
				'title'         => __be( 'H6 font size' ),
                'subtitle'      => __be( 'in pixels' ),
				'desc'          => '',
				"default" 		=> '12',
				"min" 		    => "10",
                "step"          => "1",
				"max" 		    => "50",  
			), 
           
        ),
    );
    
    $sections[] = array(
        'title' => __be( 'Navigation Menu' ),
		'icon' => 'el-icon-eye-open',
        'subsection' =>true,
        'desc'    => '',
        'fields'  => array(
            array(
				'id'            => 'layout_header_text_weight',
				'type'          => 'button_set', 
				'title'         => __be( 'Text weight for navigation menu' ),
                'desc'          => "",
				'subtitle'      => "",
				'options'       => array( 'normal' => __be( 'Normal' ), 'bold' => __be( 'Bold' ) ),//Must provide key => value pairs for radio options
				'default'       => 'bold'
			),
            array(
				'id'            => 'layout_menu_switch_color',
				'type'          => 'color_rgba', 
				'title'         => __be( 'Font color of the navigation menu' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'  => array(
                    'color' => '#ffffff',
                    'alpha' => '0.4'
                ),
				'validate'      => 'colorrgba',
			),
            array(
				'id'            => 'layout_menu_hover_switch_color',
				'type'          => 'color_rgba', 
				'title'         => __be( 'Font color of the navigation menu' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'  => array(
                    'color' => '#ffffff',
                    'alpha' => '1'
                ),
				'validate'      => 'colorrgba',
			),
            array(
				'id'            => 'layout_header_text_transform',
				'type'          => 'button_set', 
				'title'         => __be( 'Text transform for navigation menu' ),
                'desc'          => "",
				'subtitle'      => "",
				'options'       => array( 'lowercase' => __be( 'Lowercase' ), 'none' => __be( 'None' ), 'uppercase' => __be( 'Uppercase' ) ),//Must provide key => value pairs for radio options
				'default'       => 'uppercase'
			),
            array(
				'id'            => 'layout_menu_font_size',
				'type'          => 'slider', 
				'title'         => __be( 'Font size for menu items' ),
                'subtitle'      => __be( 'in pixels' ),
				'desc'          => '',
				"default" 		=> '35',
				"min" 		    => "10",
                "step"          => "1",
				"max" 		    => "60",  
			),             
            array(
				'id'            => 'layout_header_font_color',
				'type'          => 'color', 
				'title'         => __be( 'Font color of the navigation menu' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#666666',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_header_action_hover_text_color',
				'type'          => 'color', 
				'title'         => __be( 'Text color of hover/active of navigation menu items' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#ffffff',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_header_bg_color',
				'type'          => 'color_rgba', 
				'title'         => __be( 'Background color of the navigation menu' ),
                'desc'          => '',
				'subtitle'      => "",
				'default'  => array(
                    'color' => '#010101',
                    'alpha' => '1'
                ),
				'validate'      => 'colorrgba',
			),
            
        ),
    );
    
    $sections[] = array(
        'title' => __be( 'Footer' ),
		'icon' => 'el-icon-eye-open',
        'subsection' =>true,
        'desc'    => '',
        'fields'  => array(
            	
          
            array(
				'id'            => 'layout_footer_font_size',
				'type'          => 'slider', 
				'title'         => __be( 'Font size' ),
                'subtitle'      => __be( 'in pixels' ),
				'desc'          => '',
				"default" 		=> '10',
				"min" 		    => "10",
                "step"          => "1",
				"max" 		    => "30",  
			),
            array(
				'id'            => 'layout_footer_color',
				'type'          => 'color', 
				'title'         => __be( 'Font color' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#777777',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_footer_link_color',
				'type'          => 'color', 
				'title'         => __be( 'Link color' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#c4c4c4',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_footer_link_hover_color',
				'type'          => 'color', 
				'title'         => __be( 'Link color hover' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#f9f9f9',
				'validate'      => 'color',
			),    
            array(
				'id'            => 'layout_copyright_text',
				'type'          => 'textarea', 
				'title'         => __be( 'Copyright text' ),
                'desc'          => __be( 'You can put a valid HTML string here.' ),
                "default"       => __fe('<div style="text-transform:uppercase;"><a href=""><span class="fa fa-external-link-square"></span> Download My resume</a>, P: +1 714-236-2369, <a href=""><span class="fa fa-envelope-o"></span> james@anderson.com</a>
James M. Anderson © 2015 All rights reserved.</div>'),
				'subtitle'      => "",
			), 
           
        ),
    );
   
    $sections[] = array(
		'title' => __be( 'Typography' ),
		'icon' => 'el-icon-eye-open',
        'subsection' =>true,
        'fields' => array(


            array(
				'id'            => 'layout_font_group1',
				'type'          => 'typography',
				'title'         => __be( 'Font settings for headers, buttons' ),
				'subtitle'      => "",
				'google'        => true,
                'letter-spacing'=> true,
                'font-size'     => false,
				'default'       => array(
					'color'        => '#222222',
					'sunsets'      => 'latin',
                    'line-height'  => '30px',
					'font-family'  => 'Raleway',
                    'letter-spacing' => '0',
					'font-weight'  => '700',
                    'google'       => true,
				),
			),
            array(
				'id'            => 'layout_font_group3',
				'type'          => 'typography',
				'title'         => __be( 'Second font family to use in headings' ),
				'subtitle'      => "",
				'google'        => true,
                'font-size'     => false,
                'text-align'    => false,
                'color'         => false,
                'letter-spacing'=> true,
				'default'       => array(
					'color'        => '#545454',
                    'line-height'  => '24px',
                    'letter-spacing' => '0',
					'font-family'  => 'Herr Von Muellerhoff',
					'font-weight'  => '400',
                    'google'       => true,
				),
			),
            
            array(
				'id'            => 'layout_font_group3_diff',
				'type'          => 'slider', 
				'title'         => __be( 'Font size difference for second font family' ),
                'subtitle'      => __be( 'in pixels' ),
				'desc'          => __be( 'Font size for headings that use second font family will be increased or decreased by this value.' ),
				"default" 		=> '0',
				"min" 		    => "-30",
                "step"          => "1",
				"max" 		    => "30",  
			),            
            array(
				'id'            => 'layout_font_group2',
				'type'          => 'typography',
				'title'         => __be( 'Font settings for content' ),
				'subtitle'      => "",
				'google'        => true,
                'letter-spacing'=> true,
				'default'       => array(
					'color'        => '#888888',
					'font-size'    => '13px',
                    'line-height'  => '22px',
					'font-family'  => 'Raleway',
                    'letter-spacing' => '0',
					'font-weight'  => '400',
                    'google'       => true,
				),
			),
            
        ),
    );
    
    $sections[] = array(
		'title' => __be( 'Responsive settings' ),
		'icon' => 'el-icon-eye-open',
        'subsection' =>true,
        'fields' => array(
            array(
				'id'            => 'layout_threshold_for_tiles',
				'type'          => 'slider', 
				'title'         => __be( 'Screen size below which tiles are extremaly narrow in open state' ),
                'subtitle'      => __be( 'in pixels' ),
				'desc'          => '',
				"default" 		=> '400',
				"min" 		    => "200",
                "step"          => "1",
				"max" 		    => "900",  
			),            
            
            
        ),
    );
    
    $sections[] = array(
        'title' => __be( 'Blog' ),
		'icon' => 'el-icon-home',
        'heading' => '',
        'desc'    => '',
        'fields'  => array(
            
        ),
    );
    
    $sections[] = array(
		'title' => __be( 'Blog page' ),
		'icon' => 'el-icon-home',
        'subsection' => true,
        'fields' => array(
           
            array(
				'id'            => 'blog_posts_excerpt_mode',
				'type'          => 'button_set', 
				'title'         => __be( 'Type of post excerpts' ),
                'desc'          => __be( "In Manual mode excerpts are used only if you add more tag (<!--more-->). In Automatic mode if you won't provide more tag or explicit excerpt, content of post will be cut automaticly. This setting will be applied to the blog list, archive list and search results." ),
				'subtitle'      => "",
                'options'       => array( 'auto' => __be( 'Automatic' ), 'manual' => __be( 'Manual' ) ),//Must provide key => value pairs for radio options
				'default'       => 'manual'
			),
            array(
				'id'            => 'blog_sidebar',
				'type'          => 'button_set', 
				'title'         => __be( 'Blog sidebar' ),
                'desc'          => "",
				'subtitle'      => "",
                'options'       => array( 'left-sidebar' => __be( 'Left' ), 'right-sidebar' => __be( 'Right' ), 'off' => __be( 'Off' ) ),//Must provide key => value pairs for radio options
				'default'       => 'left-sidebar'
			),
            array(
				'id'            => 'blog_rss_icon',
				'type'          => 'switch', 
				'title'         => __be( 'RSS icon' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 0,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
            array(
				'id'            => 'blog_post_media',
				'type'          => 'switch', 
				'title'         => __be( 'Display media' ),
                'desc'          => __be( 'By disabling this setting you will hide any kind of media, you will get only post excerpt.' ),
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
            array(
				'id'            => 'blog_meta_date',
				'type'          => 'switch', 
				'title'         => __be( 'Post meta: Date' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
            array(
				'id'            => 'blog_meta_author',
				'type'          => 'switch', 
				'title'         => __be( 'Post meta: Author' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
            array(
				'id'            => 'blog_meta_comments_number',
				'type'          => 'switch', 
				'title'         => __be( 'Post meta: Comments number' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
            array(
				'id'            => 'blog_meta_categories',
				'type'          => 'switch', 
				'title'         => __be( 'Post meta: Categories' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
        ),
    );
    
    $sections[] = array(
		'title' => __be( 'Single post' ),
		'icon' => 'el-icon-home',
        'subsection' => true,
        'fields' => array(
            
            array(
				'id'            => 'post_sidebar',
				'type'          => 'button_set', 
				'title'         => __be( 'Post sidebar' ),
                'desc'          => "",
				'subtitle'      => "",
                'options'       => array( 'left-sidebar' => __be( 'Left' ), 'right-sidebar' => __be( 'Right' ), 'off' => __be( 'Off' ) ),//Must provide key => value pairs for radio options
				'default'       => 'right-sidebar'
			),
            array(
				'id'            => 'post_media',
				'type'          => 'switch', 
				'title'         => __be( 'Display media in post' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
            array(
				'id'            => 'post_meta_date',
				'type'          => 'switch', 
				'title'         => __be( 'Post meta: Date' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
            array(
				'id'            => 'post_meta_author',
				'type'          => 'switch', 
				'title'         => __be( 'Post meta: Author' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
            array(
				'id'            => 'post_meta_comments_number',
				'type'          => 'switch', 
				'title'         => __be( 'Post meta: Comments number' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
            array(
				'id'            => 'post_meta_categories',
				'type'          => 'switch', 
				'title'         => __be( 'Post meta: Categories' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
            array(
				'id'            => 'post_meta_tags',
				'type'          => 'switch', 
				'title'         => __be( 'Post meta: Tags' ),
                'desc'          => "",
				'subtitle'      => "",
				"default"       => 1,
				'on'            => __be( 'On' ),
                'off'           => __be( 'Off' ),
			),
        ),
    );
    
    $sections[] = array(
		'title' => __be( 'Social settings' ),
		'icon' => 'el-icon-user',
        'fields' => array(
            array(
				'id'            => 'social-info-contact-form',
				'type'          => 'info',
                'class'         => 'to-accordion',
				'desc'          => __be( 'Contact form' ),
                'icon'          => '',
			),
            array(
				'id'            => 'layout_social_form_font_color',
				'type'          => 'color', 
				'title'         => __be( 'Font color of contact form input' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#999999',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_social_form_font_hover_color',
				'type'          => 'color', 
				'title'         => __be( 'Font color of contact form input whene hovered' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#666666',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_social_form_bg_color',
				'type'          => 'color', 
				'title'         => __be( 'Background color of contact form input' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#f2f2f2',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_social_form_bg_hover_color',
				'type'          => 'color', 
				'title'         => __be( 'Background color of contact form input whene hovered' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#ffffff',
				'validate'      => 'color',
			),
            
            array(
				'id'            => 'contact_form_verbose_mode',
				'type'          => 'switch', 
				'title'         => __be( 'Verbose mode' ),
                'desc'          => __be( 'You can get configurable validation messages in contact form by switching this setting on.' ),
				'subtitle'      => "",
				"default"       => 0,
				'on'            => __be( 'Enable' ),
                'off'           => __be( 'Disable' ),
			),	
            array(
				'id'            => 'social-info-services',
				'type'          => 'info',
                'class'         => 'to-accordion',
				'desc'          => __be( 'Colors' ),
                'icon'          => '',
			),
            array(
				'id'            => 'layout_social_ribbon_color',
				'type'          => 'color', 
				'title'         => __be( 'Ribbon color' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#696969',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_social_stitch_color',
				'type'          => 'color', 
				'title'         => __be( 'Stitch color' ),
                
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#545454',
				'validate'      => 'color',
			),
            array(
				'id'            => 'layout_social_icon_color',
				'type'          => 'color', 
				'title'         => __be( 'Icon color' ),
                'desc'          => "",
				'subtitle'      => "",
				'default'       => '#222222',
				'validate'      => 'color',
			),
            array(
				'id'            => 'social-info-services',
				'type'          => 'info',
                'class'         => 'to-accordion',
				'desc'          => __be( 'Social services' ),
                'icon'          => '',
			),
            array(
				'id'            => 'social-500px',
				'type'          => 'text',
				'title'         => __be( '500px' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-500px',
			),
            array(
				'id'            => 'social-aim',
				'type'          => 'text',
				'title'         => __be( 'Aim' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-aim',
			),
            array(
				'id'            => 'social-behance',
				'type'          => 'text',
				'title'         => __be( 'Behance' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-behance',
			),
            array(
				'id'            => 'social-blogger',
				'type'          => 'text',
				'title'         => __be( 'Blogger' ),
                "default"       => '#',
                'class'          => 'social_icon a13_soc-blogger',
			),
            array(
				'id'            => 'social-delicious',
				'type'          => 'text',
				'title'         => __be( 'Delicious' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-delicious',
			),
            array(
				'id'            => 'social-deviantart',
				'type'          => 'text',
				'title'         => __be( 'Deviantart' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-deviantart',
			),
            array(
				'id'            => 'social-digg',
				'type'          => 'text',
				'title'         => __be( 'Digg' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-digg',
			),
            array(
				'id'            => 'social-dribbble',
				'type'          => 'text',
				'title'         => __be( 'Dribbble' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-dribbble',
			),
            array(
				'id'            => 'social-facebook',
				'type'          => 'text',
				'title'         => __be( 'Facebook' ),
                "default"       => '#',
                'class'          => 'social_icon a13_soc-facebook',
			),
            array(
				'id'            => 'social-flickr',
				'type'          => 'text',
				'title'         => __be( 'Flickr' ),
                "default"       => '#',
                'class'          => 'social_icon a13_soc-flickr',
			),
            array(
				'id'            => 'social-forrst',
				'type'          => 'text',
				'title'         => __be( 'Forrst' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-forrst',
			),
            array(
				'id'            => 'social-foursquare',
				'type'          => 'text',
				'title'         => __be( 'Foursquare' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-foursquare',
			),
            array(
				'id'            => 'social-github',
				'type'          => 'text',
				'title'         => __be( 'Github' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-github',
			),
            array(
				'id'            => 'social-googleplus',
				'type'          => 'text',
				'title'         => __be( 'Google Plus' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-googleplus',
			),
            array(
				'id'            => 'social-instagram',
				'type'          => 'text',
				'title'         => __be( 'Instagram' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-instagram',
			),
            array(
				'id'            => 'social-lastfm',
				'type'          => 'text',
				'title'         => __be( 'Lastfm' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-lastfm',
			),
            array(
				'id'            => 'social-linkedin',
				'type'          => 'text',
				'title'         => __be( 'Linkedin' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-linkedin',
			),
            array(
				'id'            => 'social-mailto',
				'type'          => 'text',
				'title'         => __be( 'Mailto' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-mailto',
			),
            array(
				'id'            => 'social-paypal',
				'type'          => 'text',
				'title'         => __be( 'Paypal' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-paypal',
			),
            array(
				'id'            => 'social-pinterest',
				'type'          => 'text',
				'title'         => __be( 'Pinterest' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-pinterest',
			),
            array(
				'id'            => 'social-quora',
				'type'          => 'text',
				'title'         => __be( 'Quora' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-quora',
			),
            array(
				'id'            => 'social-rss',
				'type'          => 'text',
				'title'         => __be( 'RSS' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-rss',
			),
            array(
				'id'            => 'social-reddit',
				'type'          => 'text',
				'title'         => __be( 'Reddit' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-reddit',
			),
            array(
				'id'            => 'social-sharethis',
				'type'          => 'text',
				'title'         => __be( 'Sharethis' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-sharethis',
			),
            array(
				'id'            => 'social-skype',
				'type'          => 'text',
				'title'         => __be( 'Skype' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-skype',
			),
            array(
				'id'            => 'social-spotify',
				'type'          => 'text',
				'title'         => __be( 'Spotify' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-spotify',
			),
            array(
				'id'            => 'social-stumbleupon',
				'type'          => 'text',
				'title'         => __be( 'Stumbleupon' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-stumbleupon',
			),
            array(
				'id'            => 'social-tumblr',
				'type'          => 'text',
				'title'         => __be( 'Tumblr' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-tumblr',
			),
            array(
				'id'            => 'social-twitter',
				'type'          => 'text',
				'title'         => __be( 'Twitter' ),
                "default"       => '#',
                'class'          => 'social_icon a13_soc-twitter',
			),
            array(
				'id'            => 'social-vimeo',
				'type'          => 'text',
				'title'         => __be( 'Vimeo' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-vimeo',
			),
            array(
				'id'            => 'social-wordpress',
				'type'          => 'text',
				'title'         => __be( 'Wordpress' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-wordpress',
			),
            array(
				'id'            => 'social-yahoo',
				'type'          => 'text',
				'title'         => __be( 'Yahoo' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-yahoo',
			),
            array(
				'id'            => 'social-yelp',
				'type'          => 'text',
				'title'         => __be( 'Yelp' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-yelp',
			),
            array(
				'id'            => 'social-youtube',
				'type'          => 'text',
				'title'         => __be( 'Youtube' ),
                "default"       => '',
                'class'          => 'social_icon a13_soc-youtube',
			),
            
        ),
    );
    
    $sections[] = array(
		'title' => __be( '404 page' ),
		'icon' => 'el-icon-home',
        'fields' => array(
            array(
				'id'            => '404_custom_page',
				'type'          => 'select',
				'data'          => 'pages',
                'placeholder'   => __be( 'Select page' ), 
				'title'         => __be( 'Page to be displayed as 404 error page.' ),
				'subtitle'      => "",
				'desc'          => '',
			),
            
        ),
    );

    $sections[] = array(
		'title' => __be( 'Custom Style' ),
		'icon' => 'el-icon-home',
        'fields' => array(
            array(
				'id'            => 'theme_custom_css',
				'type'          => 'textarea', 
				'title'         => __be( 'Valid css text' ),
                "default"       => '',
                'desc'          => "",
				'subtitle'      => "",
			),
            
        ),
    );
    
    $sections[] = array(
		'type' => 'divide',
	);
    
	
	if(file_exists(trailingslashit(dirname(__FILE__)) . 'README.html')) {
	    $tabs['docs'] = array(
			'icon' => 'el-icon-book',
			    'title' => __('Documentation', 'redux-framework-demo'),
	        'content' => nl2br(file_get_contents(trailingslashit(dirname(__FILE__)) . 'README.html'))
	    );
	}

	global $ReduxFramework;
	$ReduxFramework = new ReduxFramework($sections, $args, $tabs);

	// END Sample Config
	}
	add_action('init', 'redux_init');
endif;

/**
 
 	Custom function for filtering the sections array. Good for child themes to override or add to the sections.
 	Simply include this function in the child themes functions.php file.
 
 	NOTE: the defined constants for URLs, and directories will NOT be available at this point in a child theme,
 	so you must use get_template_directory_uri() if you want to use any of the built in icons
 
 **/
if ( !function_exists( 'redux_add_another_section' ) ):
	function redux_add_another_section($sections){
	    //$sections = array();
	    $sections[] = array(
	        'title' => __('Section via hook', 'redux-framework-demo'),
	        'desc' => __('<p class="description">This is a section created by adding a filter to the sections array. Can be used by child themes to add/remove sections from the options.</p>', 'redux-framework-demo'),
			'icon' => 'el-icon-paper-clip',
			    // Leave this as a blank section, no options just some intro text set above.
	        'fields' => array()
	    );

	    return $sections;
	}
	add_filter('redux/options/redux_demo/sections', 'redux_add_another_section');
	// replace redux_demo with your opt_name
endif;
/**

	Filter hook for filtering the args array given by a theme, good for child themes to override or add to the args array.

**/
if ( !function_exists( 'redux_change_framework_args' ) ):
	function redux_change_framework_args($args){
	    //$args['dev_mode'] = true;
	    
	    return $args;
	}
	add_filter('redux/options/redux_demo/args', 'redux_change_framework_args');
	// replace redux_demo with your opt_name
endif;
/**

	Filter hook for filtering the default value of any given field. Very useful in development mode.

**/
if ( !function_exists( 'redux_change_option_defaults' ) ):
	function redux_change_option_defaults($defaults){
	    $defaults['str_replace'] = "Testing filter hook!";
	    
	    return $defaults;
	}
	add_filter('redux/options/redux_demo/defaults', 'redux_change_option_defaults');
	// replace redux_demo with your opt_name
endif;

/** 

	Custom function for the callback referenced above

 */
if ( !function_exists( 'redux_my_custom_field' ) ):
	function redux_my_custom_field($field, $value) {
	    print_r($field);
	    print_r($value);
	}
endif;

/**
 
	Custom function for the callback validation referenced above

**/
if ( !function_exists( 'redux_validate_callback_function' ) ):
	function redux_validate_callback_function($field, $value, $existing_value) {
	    $error = false;
	    $value =  'just testing';
	    /*
	    do your validation
	    
	    if(something) {
	        $value = $value;
	    } elseif(something else) {
	        $error = true;
	        $value = $existing_value;
	        $field['msg'] = 'your custom error message';
	    }
	    */
	    
	    $return['value'] = $value;
	    if($error == true) {
	        $return['error'] = $field;
	    }
	    return $return;
	}
endif;
/**

	This is a test function that will let you see when the compiler hook occurs. 
	It only runs if a field	set with compiler=>true is changed.

**/
if ( !function_exists( 'redux_test_compiler' ) ):
	function redux_test_compiler($options, $css) {
		echo "<h1>The compiler hook has run!";
		//print_r($options); //Option values
		print_r($css); //So you can compile the CSS within your own file to cache
	    $filename = dirname(__FILE__) . '/avada' . '.css';

			    global $wp_filesystem;
			    if( empty( $wp_filesystem ) ) {
			        require_once( ABSPATH .'/wp-admin/includes/file.php' );
			        WP_Filesystem();
			    }

			    if( $wp_filesystem ) {
			        $wp_filesystem->put_contents(
			            $filename,
			            $css,
			            FS_CHMOD_FILE // predefined mode settings for WP files
			        );
			    }

	}
	//add_filter('redux/options/redux_demo/compiler', 'redux_test_compiler', 10, 2);
	// replace redux_demo with your opt_name
endif;


/**

	Remove all things related to the Redux Demo mode.

**/
if ( !function_exists( 'redux_remove_demo_options' ) ):
	function redux_remove_demo_options() {
		
		// Used to hide the demo mode link from the plugin page. Only used when Redux is a plugin.
		if ( class_exists('ReduxFrameworkPlugin') ) {
			remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_meta_demo_mode_link'), null, 2 );
		}

		// Used to hide the activation notice informing users of the demo panel. Only used when Redux is a plugin.
		remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );	

	}
	//add_action( 'redux/plugin/hooks', 'redux_remove_demo_options' );	
endif;
