<?php

function apollo13_get_twitter_users(){
    
    if (is_plugin_active('twitter-widget-pro/wp-twitter-widget.php')) {
        global $wpTwitterWidget; 
        $out = array();
        $list = $wpTwitterWidget->get_users_list();
        foreach($list as $user=>$user_data){
            array_push($out,$user);
        }
        return $out;
    }else{
        return false;
    }
}

function apollo13_shortcode_structural_data($atts, $content = null, $code) {
    
    $output = $position = $type = $el_class = $style = $margin_top = $margin_bottom = '';
    extract(shortcode_atts(array(
        'label_title' => '',
        'label_subtitle' => '',
        'data_lead' => '',
        'data_content' => '',
        'values' => '',
        'el_class' => ''
    ), $atts));

    $data_lines = explode(",", $values);

    $css_classes = a13_sc_getExtraClass($el_class);

    $output .= '<div class="a13-data_list_container '.esc_attr($css_classes).'"'.$style.'>'."\n";
    foreach( $data_lines as $data_line ){
        
        $data_set = explode("|", $data_line);
        $i = 0;
        
        $output .= '<div class="a13-data_list_line">'."\n";
            $output .= '<div class="a13-data_list_label">'."\n";
            if ($label_title){
                $output .= '<p class="a13-data_list_title a13_lead_color"><i class="fa fa-circle-o"></i>'.$data_set[$i].'</p>'."\n";
                $i++;
            }
            if ($label_subtitle){
                $output .= '<p class="a13-data_list_subtitle">'.$data_set[$i].'</p><div class="a13-data_list_dash"></div>'."\n";
                $i++;
            }
            $output .= '</div>'."\n";
            
            $output .= '<div class="a13-data_list_data">'."\n";
            if ($data_lead){
                $output .= '<p class="a13-data_list_lead">'.$data_set[$i].'</p>'."\n";
                $i++;
            }
            if ($data_content){
                $output .= '<p class="a13-data_list_content">'.$data_set[$i].'</p>'."\n";
            }
            $output .= '</div>'."\n";
        $output .= '</div>'."\n";
        
    }
    $output .= '</div>'."\n";

    return $output;

}
add_shortcode('apollo13_shortcode_structural_data', 'apollo13_shortcode_structural_data');

/* Data list
---------------------------------------------------------- */

vc_map( array(
    "name"		=> __("Data list", "a13_shortcodes"),
    "base"		=> "apollo13_shortcode_structural_data",
    'icon'		=> 'icon-wpb-balloon-twitter-left',
    "category"  => __('Content', 'a13_shortcodes'),
    "params" => array(
        array(
            "type" => 'checkbox',
            "heading" => __("Show title in label area?", "a13_shortcodes"),
            "param_name" => "label_title",
            "value" => Array(__("Yes, please", "a13_shortcodes") => true),
            
        ),
        array(
            "type" => 'checkbox',
            "heading" => __("Show subtitle in label area?", "a13_shortcodes"),
            "param_name" => "label_subtitle",
            "value" => Array(__("Yes, please", "a13_shortcodes") => true),
            
        ),
        array(
            "type" => 'checkbox',
            "heading" => __("Show lead in data area?", "a13_shortcodes"),
            "param_name" => "data_lead",
            "value" => Array(__("Yes, please", "a13_shortcodes") => true),
            
        ),
        array(
            "type" => 'checkbox',
            "heading" => __("Show content in data area?", "a13_shortcodes"),
            "param_name" => "data_content",
            "value" => Array(__("Yes, please", "a13_shortcodes") => true),
            
        ),
        array(
            "type" => "exploded_textarea",
            "heading" => __("Data", "a13_shortcodes"),
            "param_name" => "values",
            "description" => __('Example: <code>Company|date range|occupation|description</code>. Define data list according to number of data block that You decided to display.', "a13_shortcodes"),
            "value" => "Microsoft Inc.|2013-present|graphic designer|doing some... not sure what was that..."
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "a13_shortcodes"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "a13_shortcodes")
        )

    ),
) );



function apollo13_shortcode_twitter($atts, $content = null, $code) {
    
    extract(shortcode_atts(array(
        'username' => '',
        'items' => '5',
        'showfollow' => '0'
        
    ), $atts));
    
    $output = '';
    
    $output .= '[twitter-widget username="'.esc_attr($username).'" ';
    $output .= 'before_widget="" ';
    $output .= 'after_widget="" ';
    $output .= 'before_title="" ';
    $output .= 'after_title="" ';
    $output .= 'errmsg="'.__("we have problems to connect with Twitter", "a13_shortcodes").'" ';
    $output .= 'hiderss="true" ';
    $output .= 'hidefrom="true" '; 
    $output .= 'hidereplies="true" ';
    $output .= 'targetBlank="true" ';
    $output .= 'showintents="false" '; 
    $output .= 'showretweets="false" ';  
    //$output .= 'avatar="1" ';
    $output .= 'showXavisysLink="0" '; 
    $output .= 'showfollow="'.esc_attr($showfollow).'" '; 
    $output .= 'items="'.esc_attr($items).'" ';
    $output .= 'showts="2592000" ';
    $output .= 'title=" "';
    $output .= ']';
    
    if($username != ''){
        return '<div class="a13_twitter_shortcode"><i class="a13_twitter_shortcode_badge fa fa-twitter"></i>'.do_shortcode($output).'</div>';
    }else{
        return '';
    }
    
}
if (is_plugin_active('twitter-widget-pro/wp-twitter-widget.php')) {
    add_shortcode('a13_shortcode_twitter', 'apollo13_shortcode_twitter');

/* widget twitter pro
---------------------------------------------------------- */

vc_map( array(
    "name"		=> __("Twitter widget", "a13_shortcodes"),
    "base"		=> "a13_shortcode_twitter",
    'icon'		=> 'icon-wpb-balloon-twitter-left',
    "category"  => __('Social', 'a13_shortcodes'),
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => __("Pick a twitter user", "a13_shortcodes"),
            "param_name" => "username",
            "value" => apollo13_get_twitter_users(),
            "description" => __("User has to be authenticated by Twitter Widget Pro plugin.", "a13_shortcodes"),
        ),
        array(
            "type" => "dropdown",
            "heading" => __("The number of items to display", "a13_shortcodes"),
            "param_name" => "items",
            //"dependency" => Array('element' => 'gmaps_mode', 'value' => array('manual')),
            "value" => array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20),
            "description" => ""
        ),
        array(
            "type" => 'checkbox',
            "heading" => __("Show follow button?", "a13_shortcodes"),
            "param_name" => "showfollow",
            "value" => Array(__("Yes, please", "a13_shortcodes") => true),
            
        ) 
    ),
) );
}

function apollo13_shortcode_social_bar($atts, $content = null, $code) {
    
    global $a13_option;

    $socials = array(
		'500px'       => $a13_option['social-500px'],
		'aim'         => $a13_option['social-aim'],
		'behance'     => $a13_option['social-behance'],
		'blogger'     => $a13_option['social-blogger'],
		'delicious'   => $a13_option['social-delicious'],
		'deviantart'  => $a13_option['social-deviantart'],
		'digg'        => $a13_option['social-digg'],
		'dribbble'    => $a13_option['social-dribbble'],
		'facebook'    => $a13_option['social-facebook'],
		'flickr'      => $a13_option['social-flickr'],
		'forrst'      => $a13_option['social-forrst'],
		'foursquare'  => $a13_option['social-foursquare'],
		'github'      => $a13_option['social-github'],
		'googleplus'  => $a13_option['social-googleplus'],
		'instagram'   => $a13_option['social-instagram'],	
		'lastfm'      => $a13_option['social-lastfm'],
        'linkedin'    => $a13_option['social-linkedin'],		
		'paypal'      => $a13_option['social-paypal'],		
		'pinterest'   => $a13_option['social-pinterest'],		
		'quora'       => $a13_option['social-quora'],		
		'rss'         => $a13_option['social-rss'],		
		'sharethis'   => $a13_option['social-sharethis'],		
		'skype'       => $a13_option['social-skype'],		
		'stumbleupon' => $a13_option['social-stumbleupon'],		
		'tumblr'      => $a13_option['social-tumblr'],		
		'twitter'     => $a13_option['social-twitter'],		
		'vimeo'       => $a13_option['social-vimeo'],
		'wordpress'   => $a13_option['social-wordpress'],
		'yahoo'       => $a13_option['social-yahoo'],
        'yelp'        => $a13_option['social-yelp'],
        'youtube'     => $a13_option['social-youtube']
        );		
		
    

    return a13_return_soc_icons($socials);
}
add_shortcode('apollo13_shortcode_socialbar', 'apollo13_shortcode_social_bar');


function apollo13_shortcode_hellotext($atts, $content = null, $code) {
    $output = $upper_text = $lower_text = $title_align = $title_size = $el_class = '';
    extract(shortcode_atts(array(
        'upper_text' => __("Title", "a13_shortcodes"),
        'lower_text' => '',
        'title_align' => 'align_center',
        'title_size' => 'size_big',
        'el_class' => ''
    ), $atts));

    $css_classes = a13_sc_getExtraClass($el_class) . a13_sc_getExtraClass($title_align) . a13_sc_getExtraClass($title_size);

    $output .= '<div class="a13-hellotext'.esc_attr($css_classes).'"><h1>'.$upper_text.'</h1><h2 class="subtitle">'.$lower_text.'</h2></div>'."\n";

    return $output;
}
add_shortcode('a13_hellotext', 'apollo13_shortcode_hellotext');



function apollo13_shortcode_title_with_icon($atts, $content = null, $code) {
    $title = $title_size = $title_align = $el_class = $bold = $text_color = $title_style = $icon = $icon_style = '';
    extract(shortcode_atts(array(
        'title' => '',
        'title_size' => 'h1',
        'icon_size' => '',
        'icon_color' => '',
        'title_align' => 'left',
        'two_line' => false,
        'a13_etline_icon' => '',
        'bold' => false,
        'text_color' => false,
        'el_class' => ''
    ), $atts));

    $css_classes = a13_sc_getExtraClass($el_class);

    if($bold === false){
        $title_style = 'font-weight:normal;';
    }
    if($text_color !== false && strlen($text_color)){
        $title_style .= 'color:'.$text_color.';';
    }
    if( $icon_size>0 ){
        $icon_style .= 'font-size:'.$icon_size.'px;';
    }
    if( $icon_color !== false && strlen($icon_color) ){
        $icon_style .= 'color:'.$icon_color.';';
    }


    
    $icon = ( $a13_etline_icon != '' ) ? ' <i class="'.$a13_etline_icon.($two_line ? ' two_line' : '' ).'" style="'.$icon_style.'"> </i>' : '';

    $output = '<div class="a13_title_with_icon" style="text-align:'.$title_align.';"><'.$title_size.' style="'.$title_style.'">'.$icon.$title.'</'.$title_size.'></div>'."\n";

    return $output;
}
add_shortcode('a13_title_with_icon', 'apollo13_shortcode_title_with_icon');


function apollo13_shortcode_progress_bar($atts, $content = null, $code){
    $bar_options = $title = $values = $units = $bgcolor = $options = $el_class = '';
    extract( shortcode_atts( array(
        'title' => '',
        'a13_mode' => 'a13',
        'values' => '',
        'units' => '',
        'bgcolor' => 'bar_grey',
        'options' => '',
        'el_class' => ''
    ), $atts ) );
    wp_enqueue_script( 'waypoints' );

    $el_class = a13_sc_getExtraClass($el_class);

    $options = explode(",", $options);
    if (in_array("animated", $options)) $bar_options .= " animated";
    if (in_array("striped", $options)) $bar_options .= " striped";

    if ($bgcolor!="") $bgcolor = " ".$bgcolor;

    $css_class = 'vc_progress_bar wpb_content_element'.$el_class;
    $output = '<div class="'.esc_attr($css_class).'">';
    $output .= wpb_widget_title(array('title' => $title, 'extraclass' => 'wpb_progress_bar_heading'));

    $graph_lines = explode(",", $values);
    $max_value = 0.0;
    $graph_lines_data = array();
    foreach ($graph_lines as $line) {
        $new_line = array();
        $data = explode("|", $line);
        $new_line['value'] = isset($data[0]) ? $data[0] : 0;
        $new_line['label'] = isset($data[1]) ? $data[1] : '';
        $new_line['bgcolor'] = isset($data[2]) ? $data[2] : '';

        if($max_value < (float)$new_line['value']) {
            $max_value = $new_line['value'];
        }

        $graph_lines_data[] = $new_line;
    }
    if ( $a13_mode == 'a13' ){
        foreach($graph_lines_data as $line) {
    
            $output .= '<div class="vc_single_bar cv_mode">';
            $output .= '<span class="vc_label">'. $line['label'] .'</span>';
            if($max_value > 100.00) {
                $percentage_value = (float)$line['value'] > 0 && $max_value > 100.00 ? round((float)$line['value']/$max_value*100, 4) : 0;
            } else {
                $percentage_value = $line['value'];
            }
            $bullets = round($percentage_value/12.5,0);
            $output .= '<span class="vc_bar">';
            for($i=1;$i<=$bullets;$i++){
                $output .= '<div class="bullet a13_lead_bg_color"></div>';
            }
            for($i=$bullets;$i<8;$i++){
                $output .= '<div class="bullet"></div>';
            }
            $output .= '</span></div>';
        }
    }else{
        foreach($graph_lines_data as $line) {
            $unit = ($units!='') ? ' <span class="vc_label_units">' .  $line['value'] . $units . '</span>' : '';
            $this_bar_bgcolor = strlen($line['bgcolor']) ? ' bar_'.$line['bgcolor'] : $bgcolor;
    
            $output .= '<div class="vc_single_bar'.esc_attr($this_bar_bgcolor).'">';
            $output .= '<small class="vc_label">'. $line['label'] . $unit .'</small>';
            if($max_value > 100.00) {
                $percentage_value = (float)$line['value'] > 0 && $max_value > 100.00 ? round((float)$line['value']/$max_value*100, 4) : 0;
            } else {
                $percentage_value = $line['value'];
            }
            $output .= '<span class="vc_bar '.esc_attr($bar_options).'" data-percentage-value="'.esc_attr($percentage_value).'" data-value="'.esc_attr($line['value']).'"></span>';
            $output .= '</div>';
        }
    }
    

    $output .= '</div>';

    return $output . "\n";
}
add_shortcode('a13_progress_bar', 'apollo13_shortcode_progress_bar');


function apollo13_shortcode_separator($atts, $content = null, $code) {
    $output = $position = $type = $el_class = $style = $margin_top = $margin_bottom = '';
    extract(shortcode_atts(array(
        'position' => 'full_width',
        'type' => 'single-line',
        'margin_top' => '',
        'margin_bottom' => '',
        'el_class' => ''
    ), $atts));

    if(strlen($margin_bottom) || strlen($margin_top)){
        $style .= ' style="';
        if(strlen($margin_top)){
            $style .= 'margin-top:'.((int)$margin_top).'px;';
        }
        if(strlen($margin_bottom)){
            $style .= 'margin-bottom:'.((int)$margin_bottom).'px;';
        }
        $style .= '"';
    }

    $css_classes = a13_sc_getExtraClass($el_class) . a13_sc_getExtraClass($position) . a13_sc_getExtraClass($type);

    $output .= '<div class="a13-separator '.esc_attr($css_classes).'"'.$style.'><div></div><br class="clear" /></div>'."\n";

    return $output;
}
add_shortcode('vc_separator', 'apollo13_shortcode_separator');



function a13_teaser_thumb_size($size_to_check, $columns){
    $thumb_size = 'thumbnail';
    if($columns <= 2){
        $thumb_size = 'large';
    }
    else{
        if(in_array($size_to_check, get_intermediate_image_sizes())){
            $thumb_size = $size_to_check;
        }
    }
    return $thumb_size;
}
function apollo13_shortcode_post_teaser($atts, $content = null, $code) {
    $load_more_btn_html = $load_more_button = $container_position = $title = $grid_columns_count = $grid_teasers_count = $grid_link_target = '';
    $grid_template = $grid_layout_mode = $grid_taxomonies = $grid_categories = $posts_in = $posts_not_in = '';
    $el_class = $orderby = $order  = $isotope_item = '';
    $ajax_loader = $ajax_container = $ajax_anchor_class = $scope_styles = '';
    $show_post_subtitle = $show_post_title = true;

    global $a13_option;

    extract(shortcode_atts(array(
        'title' => '',
        'grid_columns_count' => 3,
        'grid_teasers_count' => 8,
        'grid_link_target' => '_self',
        'grid_template' => 'grid', //grid, carousel
        'grid_layout_mode' => 'masonry',
        'posts_in' => '',
        'load_more_button' => '',
        'container_position' => 'bottom',
        'posts_not_in' => '',
        'grid_categories' => '',
        'orderby' => 'ID',
        'order' => 'DESC',
        'el_class' => '',
        'collapsible_filter' => false,
        'filter_position' => '',
        'grid_item_layout_mode' => 'classic',
        'h_margin' => '',
        'v_margin' => '',
        'item_height' => '200',
        'grid_categories_order' => ''
    ), $atts));
    
    $post_format_icons = array('video'=>'fa-play-circle-o', 'link'=>'fa-link', 'quote'=>'fa-quote-right');
 
    if ( $grid_template == 'grid' || $grid_template == 'filtered_grid') {
        wp_enqueue_style('isotope-css');
        wp_enqueue_script( 'isotope' );
        wp_enqueue_script( 'packery' );
        $isotope_item = 'isotope-item ';
    } else if ( $grid_template == 'carousel' ) {
        wp_enqueue_script( 'jcarousellite' );
        $isotope_item = '';
    }

    $output = $extra_classes = '';

    $el_class = a13_sc_getExtraClass( $el_class );
    $li_span_class = wpb_translateColumnsCountToSpanClass( $grid_columns_count );


    $query_args = array();

    $not_in = array();
    if ( $posts_not_in != '' ) {
        $posts_not_in = str_ireplace(" ", "", $posts_not_in);
        $not_in = explode(",", $posts_not_in);
    }

    $link_target = $grid_link_target=='_blank' ? ' target="_blank"' : '';
    if ( $grid_link_target == 'ajax_to_container' ){
        //create container
        $ajax_container_navbar = '<ul><li class="prev"><a class="fa fa-long-arrow-left"></a></li><li class="grid"><a class="fa fa-times"></a></li><li class="next"><a class="fa fa-long-arrow-right"></a></li></ul><div class="clearfix"></div>';
        $ajax_container[$container_position] = '<div class="a13_pt_ajax_container_wrapper"><div class="a13_pt_ajax_container_header">'
                                                   .'<h2 class="post-title works"></h2>'
                                                   .'<div class="a13-separator separator_align_center single_line">'
                                                        .'<h3 style="font-weight:normal;"><span class="works_subtitle_dash"></span><span class="works_subtitle"></span><span class="works_subtitle_dash"></span></h3>'
                                                   .'</div></div>'
                                               .'<div class="a13_pt_ajax_container_navbar">'.$ajax_container_navbar.'</div>'
                                               .'<div class="a13_pt_ajax_container"></div>'
                                               .'<div class="a13_pt_ajax_container_navbar">'.$ajax_container_navbar.'</div></div>';
        $ajax_anchor_class = 'ajax_to_container';
        $ajax_loader[$container_position] = '<div class="ajax_loader"><i class="fa fa-refresh"></i></div>';
    }
    //exclude current post/page from query
    if ( $posts_in == '' ) {
        global $post;
        array_push($not_in, $post->ID);
    }
    else if ( $posts_in != '' ) {
        $posts_in = str_ireplace(" ", "", $posts_in);
        $query_args['post__in'] = explode(",", $posts_in);
    }
    if ( $posts_in == '' || $posts_not_in != '' ) {
        $query_args['post__not_in'] = $not_in;
    }

    // Post teasers count
    if ( $grid_teasers_count != '' && !is_numeric($grid_teasers_count) ) $grid_teasers_count = -1;
    if ( $grid_teasers_count != '' && is_numeric($grid_teasers_count) ) $query_args['posts_per_page'] = $grid_teasers_count;




    // Post types, taxonomies, and other things that depend on type
    $code_type = substr($code, 11); //prefix: a13_recent_{$code_type}
    $post_type = '';
    $taxonomies = array();

    if($code_type === 'posts'){
        $post_type = 'post';
    }
    elseif($code_type === 'works'){
        $post_type = 'work';
        array_push($taxonomies, 'genre');
    }
    elseif($code_type === 'galleries'){
        $post_type = 'gallery';
        array_push($taxonomies, 'kind');
    }
    elseif($code === 'a13_team'){
        $post_type = 'people';
        array_push($taxonomies, 'group');
    }

    //thumb size to use
    //$thumb_size = a13_teaser_thumb_size(($code_type === 'posts' ? 'apollo-recent-post' : 'apollo-post-brick'), $grid_columns_count); //size we will use in most cases
    $thumb_size = 'full';
    $query_args['post_type'] = $post_type;


    $grid_categories_order_arr = array();
    if ( $grid_categories_order != '' ) {
        $grid_categories_order_arr = explode(",", $grid_categories_order);
    }


    // Narrow by categories
    $narrow_by_categories_ids = array();
    if ( $grid_categories != '' ) {
        $grid_categories = explode(",", $grid_categories);
        $gc = array();
        foreach ( $grid_categories as $grid_cat ) {
            array_push($gc, $grid_cat);
            $term_data = get_term_by( 'name', trim($grid_cat), $taxonomies[0] );
            array_push($narrow_by_categories_ids,$term_data->term_id);
        }
        $gc = implode(",", $gc);
        ////http://snipplr.com/view/17434/wordpress-get-category-slug/
        $query_args['category_name'] = $gc;

        $taxonomies = get_taxonomies('', 'object');
        $query_args['tax_query'] = array('relation' => 'OR');
        foreach ( $taxonomies as $t ) {
            if ( in_array($t->object_type[0], (array)$post_type) ) {
                $query_args['tax_query'][] = array(
                    'taxonomy' => $t->name,//$t->name,//'portfolio_category',
                    'terms' => $grid_categories,
                    'field' => 'slug',
                );
            }
        }
    }

    // Order posts
    if ( $orderby != NULL ) {
        $query_args['orderby'] = $orderby;
        if ( $orderby == 'rand' ){
            $possible_orders = array( "date", "ID",  "author",  "title", "modified", "comment_count", "menu_order" );
            $orderby = $query_args['orderby'] = $possible_orders[array_rand($possible_orders)];
        }
    }
    $query_args['order'] = $order;
    
    $post_margin_class = 'posts_margin_class'.rand();
    $post_margin_style = '.'.$post_margin_class.'{padding:'.$h_margin.'px '.$v_margin.'px;} .layer.'.$post_margin_class.'{width: calc(100% - '.(2*$h_margin).'px); height: calc(100% - '.(2*$v_margin).'px); }';

    
    //query params are ready, all data colected
    if( $load_more_button == 1 ){
        $load_more_btn_html = '<a class="a13_load_more a13_load_more_works"><span data-hover="'.__('Load more', "a13_shortcodes").'" '
        .' data-post-type="'.esc_attr($query_args['post_type']).'"'
        .' data-category="'.esc_attr($grid_categories).'"'
        .' data-post-not-in="'.esc_attr($posts_not_in).'"'
        .' data-posts-number="'.esc_attr($grid_columns_count).'"'
        .' data-target="'.esc_attr($grid_link_target).'"'
        .' data-offset="'.esc_attr($query_args['posts_per_page']).'"'
        .' data-order-by="'.esc_attr($orderby).'"'
        .' data-order="'.esc_attr($query_args['order']).'"'
        .' data-template="'.esc_attr($grid_template).'"'
        .' data-item-layout-mode="'.esc_attr($grid_item_layout_mode).'"'
        .' data-v-margin="'.esc_attr($v_margin).'"'
        .' data-h-margin="'.esc_attr($h_margin).'"'
        .' data-margin_class="'.esc_attr($post_margin_class).'"'
        
        .' >'.__('Load more', "a13_shortcodes").'</span></a>';
    }
    

    // Run query
    $my_query = new WP_Query($query_args);

    $teasers = '';
    $teaser_categories = Array();
    if($grid_template == 'filtered_grid' && empty($grid_taxomonies)) {
        $taxonomies = get_object_taxonomies(!empty($query_args['post_type']) ? $query_args['post_type'] : get_post_types(array('public' => false, 'name' => 'attachment'), 'names', 'NOT'));
    }

    $posts_Ids = array();
    
    
    $scope_styles = '
        .g-item{padding:'.$v_margin.'px '.$h_margin.'px!important;}
        .g-item.h1{height:'.((2*$v_margin)+$item_height).'px!important;}
    ';
    while ( $my_query->have_posts() ) {
    
        $my_query->the_post();
        $post_id = $my_query->post->ID;
        $posts_Ids[] = $post_id;
        $categories_names = $content = $full_content = '';


        $categories_css = '';
        if( $grid_template == 'filtered_grid' ) {
            /** @var $post_categories get list of categories */
            // $post_categories = get_the_category($my_query->post->ID);
            $post_categories = wp_get_object_terms($post_id, array_values($taxonomies));
            if(!is_wp_error($post_categories)) {
                foreach($post_categories as $cat) {
                    if(!in_array($cat->term_id, $teaser_categories)) {
                        $teaser_categories[] = $cat->term_id;
                    }
                    $categories_css .= ' grid-cat-'.$cat->term_id;
                    $categories_names .= ' '.$cat->name.',';
                }
            }

        }
        $categories_names = substr($categories_names,0,-1);

        $post_title = get_the_title($post_id);

        ob_start();
        the_content();
        $temp = ob_get_clean();
        if( $temp != '' ){
            $full_content = $temp;
            $content = wp_strip_all_tags( $temp );
            $content = wp_trim_words( $content, 45 );
        }
        //$content = wpautop($content);
        

        $post_thumbnail = wpb_getImageBySize(array( 'post_id' => $post_id, 'thumb_size' => $thumb_size ));

        $thumbnail_addr = $post_thumbnail['p_img_large'][0];
        $thumbnail = $post_thumbnail['thumbnail'];

        // Link logic
        $link_image_start   = '<a class="link_image" href="'.esc_url(get_permalink($post_id)).'"'.$link_target.' title="'.sprintf( esc_attr__( 'Permalink to %s', 'a13_shortcodes' ), the_title_attribute( 'echo=0' ) ).'">';
        $link_title_start   = '<a class="link_title" href="'.esc_url(get_permalink($post_id)).'"'.$link_target.' title="'.sprintf( esc_attr__( 'Permalink to %s', 'a13_shortcodes' ), the_title_attribute( 'echo=0' ) ).'">';
        $link_image_end     = '<em></em></a>';
        $link_title_end     = '</a>';


        //ITEM HTML
        if($post_type==='post'){
            
            $post_format = get_post_format( $post_id );
            $layout_mode = get_post_meta($post_id, '_present_layout', true);
            $with_featured_image = get_post_meta($post_id, '_present_with_featured_image', true) === 'on';
            $with_bg_gradient = a13_get_meta('_blog_image_gradient', $post_id, 'blog_image_gradient') == '1';
            $with_excerpt_gradient = a13_get_meta('_blog_excerpt_gradient', $post_id, 'blog_excerpt_gradient') == '1';
            $background_class = '';
  
            if( $with_featured_image ){
                $background_class = "archive-item-bgimg_".$post_id;
                $extra_classes .= ".".$background_class."{background-image:url('".$thumbnail_addr."');}";     
            }
            if ($with_bg_gradient && $thumbnail && $with_featured_image){
                $layout_mode = 'dark';
            }
            $teasers .= '<li class="'.esc_attr($post_margin_class.' '.$isotope_item.' '.$categories_css.' '.$layout_mode).' archive-item ready '.apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $li_span_class, 'vc_teaser_grid_li').'" style="height: '.(364 + (2*$h_margin) ).'px; padding:'.$h_margin.'px '.$v_margin.'px;">';
            
            $teasers .= '<div class="layer_container">';
            
            //background layer
            $teasers .= '<div class="layer bg_layer '.esc_attr($background_class.' '.$post_margin_class).'"></div>';
            
            //background gradient layer
            
            if( $with_bg_gradient && $with_featured_image ){
                $teasers .= '<div class="layer bg_gradient_layer '.esc_attr($post_margin_class).'"></div>';
            }
            
            //content layer
            $teasers .= '<div class="layer content_layer '.esc_attr($post_margin_class).'">';
            
                //date
                $teasers .= '<div class="meta_date">'.get_the_date('d.m.Y').'</div>';
                
                //icon
                if( $post_format != '' ){
                    $teasers .= '<div class="icon"><i class="fa '.esc_attr($post_format_icons[$post_format]).'"></i></div>';;
                }
                
                if ( $post_format == 'quote' ){
                    //title
                    $teasers .= '<h2 class="post-title">' . $content . '</h2>';
                    
                    //excerpt
                    $teasers .= '<div class="entry-content">' . $post_title . '</div>';
                }elseif ( $post_format == 'link' ){
                    //title
                    $reg_exUrl = "/(http|https|ftp|ftps)\:\/\/[a-zA-Z0-9\-\.]+\.[a-zA-Z]{2,3}(\/\S*)?/";
                    $has_url =  false;
                
                    //uses post content as link, and title as link text
                    $tmp_content = get_the_content();
                
                    // Check if there is a url in the text
                    if(preg_match($reg_exUrl, $tmp_content, $url)) {
                        $content = $url[0];
                        $has_url = true;
                    }
                    $teasers .= '<h2 class="post-title post-title-link"><a target="_blank" href="'. esc_url(( $has_url ) ? $content : apply_filters( 'the_permalink', get_permalink($post_id) )) . '">' . get_the_title() . '</a></h2>';
                    
                    
                    //excerpt
                    $teasers .= '<div class="entry-content">' . $post_title . '</div>';
                }else{
                    //title
                    $teasers .= '<h2 class="post-title">' . $link_title_start . $post_title . $link_title_end . '</h2>';
                    
                    //excerpt
                    $teasers .= '<div class="entry-content to_scroll '.esc_attr($layout_mode).'">' . $content . '<p class="content_filling">&nbsp;</p></div>';
                }
                
                //excerpt gradient layer
                if( $with_excerpt_gradient ){
                    $teasers .= '<div class="excerpt_gradient_layer"></div>';
                }
                
                //metadata
                $teasers .= '<div class="meta_data">' . a13_posted_by_author() .' '. a13_post_categories() . '</div>';
                
            
            $teasers .= '</div>';
            
            
            
            $teasers .= '</div>';
            
            $teasers .= '</li> ';
        }
        //works || galleries || people
        else{
            $alt_link       = get_post_meta($post_id, '_alt_link', true);
            $url            = (strlen($alt_link) > 0)? $alt_link : get_permalink();
            
            $post_subtitle = get_post_meta($post_id, '_subtitle', true);
            
            //$brick_layout = get_post_meta($post_id, '_brick_layout', true);
            //$brick_layout_position = get_post_meta($post_id, '_brick_layout_position', true);
            $brick_layout = 'over';
            $brick_layout_position = 'center';
            
            //$layout = explode('_',get_post_meta($post_id, '_layout_size', true));
            //$item_w = $layout[0];
            //$item_h = $layout[1];
            $item_w = $item_h = 1;
            $size_class = " w".$item_w." h".$item_h." ";
            
            $background_class = "g-link-bgimg_".$post_id;
            $extra_classes .= ".".$background_class."{background-image:url('".$thumbnail_addr."');}";            
            
            $background_color = get_post_meta($post_id, '_overlay_bg_color', true);
            $overlay_font_color = get_post_meta($post_id, '_overlay_font_color', true);
            
            
            $is_protected = post_password_required($post_id) ? 1 : 0;
            
            $overlay_image  = get_post_meta($post_id, '_overlay_image', true);
            
            //for people
            $display_as = '';
            if($post_type == 'people'){
                $brick_layout = 'over';
                $display_as = get_post_meta($post_id, '_display_as', true);
                
                
                $overlay_font_color_class = "g-link-ovl_font_c_".$post_id;
                $extra_classes .= ".".$overlay_font_color_class.", .".$overlay_font_color_class.":hover{color:".$overlay_font_color.";}";      
                
                $all_meta = a13_get_post_meta_all($post_id);
                            
                $socials = array();
                
                $socials = array(
                    '500px'       => $all_meta['_500px'],
            		'aim'         => $all_meta['_aim'],
            		'behance'     => $all_meta['_behance'],
            		'blogger'     => $all_meta['_blogger'],
            		'delicious'   => $all_meta['_delicious'],
            		'deviantart'  => $all_meta['_deviantart'],
            		'digg'        => $all_meta['_digg'],
            		'dribbble'    => $all_meta['_dribbble'],
            		'evernote'    => $all_meta['_evernote'],
            		'facebook'    => $all_meta['_facebook'],
            		'flickr'      => $all_meta['_flickr'],
            		'forrst'      => $all_meta['_forrst'],
            		'foursquare'  => $all_meta['_foursquare'],
            		'github'      => $all_meta['_github'],
            		'googleplus'  => $all_meta['_googleplus'],
            		'instagram'   => $all_meta['_instagram'],	
            		'lastfm'      => $all_meta['_lastfm'],
                    'linkedin'    => $all_meta['_linkedin'],		
            		'paypal'      => $all_meta['_paypal'],		
            		'pinterest'   => $all_meta['_pinterest'],		
            		'quora'       => $all_meta['_quora'],		
            		'rss'         => $all_meta['_rss'],		
            		'sharethis'   => $all_meta['_sharethis'],		
            		'skype'       => $all_meta['_skype'],		
            		'stumbleupon' => $all_meta['_stumbleupon'],		
            		'tumblr'      => $all_meta['_tumblr'],		
            		'twitter'     => $all_meta['_twitter'],		
            		'vimeo'       => $all_meta['_vimeo'],
            		'wordpress'   => $all_meta['_wordpress'],
            		'yahoo'       => $all_meta['_yahoo'],
                    'youtube'     => $all_meta['_youtube']
                );
                    
                
            }
            
            $block_link = ( $display_as != 'as_team' && $post_type == 'people' ) ? 'block' : '' ;
            $cb_item = '';
            if( $display_as == 'as_image' && $post_type == 'people' ){
                $block_link .= ' cb_image';
                $cb_item = 'yes';
            }
            

            $teasers .= '<li class="g-item ready '.apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $li_span_class, 'vc_teaser_grid_li').' '.esc_attr($isotope_item.' '.$categories_css.' '.$size_class).'">';
            $teasers .= '<'.($cb_item == '' ? 'div' : 'a' ).' data-post_id="'.$post_id.'" class="g-link '.esc_attr($block_link.' '.$brick_layout_position.' '.$brick_layout.' '.$ajax_anchor_class).'" data-post-type="'.esc_attr($post_type).'" '.($cb_item == '' ? 'data-href="'.esc_url($url).'"' : 'href="'.esc_url($thumbnail_addr).'"' ).' id="album-' . esc_attr($post_id) . '" data-pass-protection="'.esc_attr($is_protected).'">';
            $teasers .= '<i class="'.esc_attr($background_class).'"></i>';
            
            
            $teasers .= '<div class="overlay '.($display_as == 'as_quote' ? ' quote' : '').'" >';//overlay
            $teasers .= ( $overlay_image != '' ? '<img alt="'.__('overlay_image', 'a13_shortcodes').'" src="'.esc_url($overlay_image).'">' :'');
            
            if( $display_as == 'as_image' ){
                $teasers .= '<div class="overlay_icon '.esc_attr($overlay_font_color_class).'"><i class="fa fa-eye"></i></div>';
            }
            
            $teasers .= '</div>';//overlay end
            
            $teasers .= '<div class="cov '.($post_type=='work' ? 'works' : '').($post_type=='people' ? 'people'.($display_as == 'as_quote' ? ' quote' : '') : '').'" style="color:'.$overlay_font_color.';background-color:'.$background_color.';">';
            
            if( $post_type == 'people' ){
                
                if( $display_as == 'as_team' ){
                
                    $teasers .= '<span class="'.esc_attr($overlay_font_color_class).'"><strong>'.$post_title.'</strong><small>'.$post_subtitle.'</small></span>';
                    $teasers .= a13_return_soc_icons($socials);
                
                }elseif( $display_as == 'as_quote' ){
                    $teasers .= '<div class="'.esc_attr($overlay_font_color_class).'">'.$full_content.'<small>'.$post_title.'</small></div>';
                }else{
                }
                
            }else{
                $teasers .= $grid_item_layout_mode === 'overlay' ? '<em class="filling_table">' : '';
                $teasers .= '<span class="'.($grid_item_layout_mode === 'overlay' ? 'table_cell_center' : '' ).'">'.(($grid_item_layout_mode === 'overlay' && $overlay_image != '') ? '<img alt="'.__('overlay_image', 'a13_shortcodes').'" src="'.esc_url($overlay_image).'">' : '' ).'<strong>'.$post_title.'</strong><small>'.$categories_names.'</small></span>';
                $teasers .= ( $brick_layout == 'over' ? '<div class="subtitle">'.$post_subtitle.'</div>' : '' );
                $teasers .= $grid_item_layout_mode === 'overlay' ? '</em>' : '';
                $teasers .= $is_protected ? '<em class="filling_table pass_form"><span class="'.($grid_item_layout_mode === 'overlay' ? 'table_cell_center' : '' ).'"><span class="error"></span><div class="clearfix"></div><span>'.__('Enter password', 'a13_shortcodes').'</span><input type="password" class="post_password" name="post_password" data-post-id="'.esc_attr($post_id).'"><input type="button" class="submit_password" value="'.__('Unlock', 'a13_shortcodes').'"></span></em>' : '';
                //$teasers .= '<div class="cov-bg" style="'.(( $grid_item_layout_mode === 'overlay' && $background_color != '') ? 'background-color:'.$background_color.';' : '' ).'"></div>';
            }
            
            
            
            $teasers .= '</div>';//cov end
            
            
            
            
            
            $teasers .= '</'.($cb_item == '' ? 'div' : 'a' ).'>';
            //like plugin
//            if( function_exists('dot_irecommendthis') ){
//                dot_irecommendthis();
//            }
            $teasers .= '</li>';
        }


    } // endwhile loop
    wp_reset_query();

    if( $grid_template == 'filtered_grid' && $teasers && !empty($teaser_categories)) {
        /*
        $categories_list = wp_list_categories(array(
            'orderby' => 'name',
            'walker' => new Teaser_Grid_Category_Walker(),
            'include' => implode(',', $teaser_categories),
            'show_option_none'   => __('No categories', 'a13_shortcodes'),
            'echo' => false
        ));
        */
        $categories_to_include = array();
        if( $load_more_button == 1 ){
            $categories_to_include = $narrow_by_categories_ids;
        }else{
            $categories_to_include = implode(',', $teaser_categories);
        }
        $categories_array = get_terms(array_values($taxonomies), array(
            'orderby' => 'name',
            'include' => $categories_to_include
        ));

        $categories_list_output = '<div class="categories_filter_wrapper '.esc_attr($filter_position).'"><ul class="categories_filter genre-filter open static-block">';
        $categories_list_output .= '<li class="active '.($collapsible_filter ? ' label' : '' ).'"><a href="#" data-filter="*">' . __('All', 'a13_shortcodes') . '</a></li>';

        $ommit_order = false;
        if(!is_wp_error($categories_array)) {
            if( count($grid_categories_order_arr) == 0 ){
                $ommit_order = true;
                $grid_categories_order_arr[] = '';
            }
            foreach( $grid_categories_order_arr as $grid_categories_order_val){
                foreach($categories_array as $cat) {
                    if( strtolower($grid_categories_order_val) == $cat->slug || $ommit_order ){
                        $categories_list_output .= '<li '.($collapsible_filter ? ' style="display:none;"' : '' ).'><a href="#" data-filter=".grid-cat-'.esc_attr($cat->term_id).'">' . esc_attr($cat->name) . '</a></li>';
                        $one_active = true;
                    }
                    
                }
            }
            
        }
        $categories_list_output.= '</ul></div><div class="clearfix"></div>';
    } else {
        $categories_list_output = '';
    }

    if ( $teasers ) {
        $teasers =
            '<div class="teaser_grid_container '.($post_type === 'post'? 'variant_masonry' : 'variant_3').' '.($grid_item_layout_mode === 'overlay' ? 'overlay_mode' : 'classic' ).'">'
                .'<style scoped>'.$scope_styles.'</style>'
                .(isset($ajax_container['top']) ? $ajax_container['top'] : '')
                .(isset($ajax_loader['top']) ? $ajax_loader['top'] : '')
                .$categories_list_output
                .'<ul class="wpb_thumbnails wpb_thumbnails-fluid clearfix" data-layout-mode="'.esc_attr($grid_layout_mode).'">'
                    . $teasers
                .'</ul>'
                .'<p class="categories_filter_wrapper center">'.$load_more_btn_html.'</p>'
                    
                .(isset($ajax_loader['bottom']) ? $ajax_loader['bottom'] : '')
                .(isset($ajax_container['bottom']) ? $ajax_container['bottom'] : '')
            .'</div>';
    }
    else { $teasers = __("Nothing found." , "a13_shortcodes"); }

    $grid_class = 'wpb_'.$grid_template . ' columns_count_'.$grid_columns_count . ' grid_layout-'.$grid_layout_mode . ' grid_template-'.$grid_template;
    $css_class =  'wpb_teaser_grid wpb_content_element '.$grid_class.$el_class;

    $output .= "\n\t".'<div class="'.esc_attr($css_class).'">';
    
    if( strlen($extra_classes) ){
        $output .= '<style scoped>'.$extra_classes.'</style>';
    }
    if( strlen($post_margin_style) ){
        $output .= '<style scoped>'.$post_margin_style.'</style>';
    }
    
    $output .= "\n\t\t".'<div class="wpb_wrapper">';

    if(strlen($title) || $grid_template === 'carousel'){
        $output .=
            '<div class="title-and-nav clearfix">';
                if ( $grid_template === 'carousel' ){
                    $home_link = '';
                    if($post_type === 'post'){
                        $pfp = get_option( 'page_for_posts');
                        $home_link = ( $pfp !== '0')? get_permalink(get_option( 'page_for_posts')) : home_url();
                        $home_link = '<a href="'.esc_url($home_link).'" class="whole-list fa fa-th-large"></a>';
                    }

                    $output .=
                        '<nav>'
                            .'<a href="#" class="prev fa fa-chevron-left"></a>'
                            .$home_link
                            .'<a href="#" class="next fa fa-chevron-right"></a>'
                        .'</nav>';
                }
                if(strlen($title)){
                    $output .=
                            '<h3 class="title"><span>'.$title.'</span></h3>';
                }

        $output .=
            '</div>';
    }

    $output .= $teasers;
    
    
    
    $output .= "\n\t\t".'</div> ';
    $output .= "\n\t".'</div> ';
    
    
    
    return $output;
}

add_shortcode('a13_recent_posts', 'apollo13_shortcode_post_teaser');
add_shortcode('a13_recent_works', 'apollo13_shortcode_post_teaser');


/* Hello text
---------------------------------------------------------- */
    vc_map( array(
        "name" => __("Hello text", "a13_shortcodes"),
        "base" => "a13_hellotext",
        "icon" => "icon-wpb-layer-shape-text",
        "category" => __('Content', 'a13_shortcodes'),
        "params" => array(
            array(
                "type" => "textfield",
                "heading" => __("Title", "a13_shortcodes"),
                "param_name" => "upper_text",
                "holder" => "div",
                "value" => __("Title", "a13_shortcodes"),
                "description" => __("Title", "a13_shortcodes")
            ),
            array(
                "type" => "textfield",
                "heading" => __("Subtitle", "a13_shortcodes"),
                "param_name" => "lower_text",
                "holder" => "div",
                "value" => __("Subtitle", "a13_shortcodes"),
                "description" => __("Subtitle", "a13_shortcodes"),
            ),
            array(
                "type" => "dropdown",
                "heading" => __("Texts position", "a13_shortcodes"),
                "param_name" => "title_align",
                "value" => $align_arr,
                "description" => '',
                "admin_label" => true,
            ),
            array(
                "type" => "dropdown",
                "heading" => __("Texts size", "a13_shortcodes"),
                "param_name" => "title_size",
                "value" => array(__('Big', "a13_shortcodes") => "size_big", __('Medium', "a13_shortcodes") => "size_medium", __('Small', "a13_shortcodes") => "size_small"),
                "description" => '',
                "admin_label" => true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Extra class name", "a13_shortcodes"),
                "param_name" => "el_class",
                "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "a13_shortcodes")
            )
        ),
    ) );



/* Title with icon
---------------------------------------------------------- */
vc_map( array(
    "name" => __("Title with icon", "a13_shortcodes"),
    "base" => "a13_title_with_icon",
    "icon" => "icon-wpb-layer-shape-text",
    "category" => __('Content', 'a13_shortcodes'),
    "params" => array(
        array(
            "type" => "textfield",
            "heading" => __("Title", "a13_shortcodes"),
            "param_name" => "title",
            "holder" => "div",
            "value" => __("Title", "a13_shortcodes"),
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Title size", "a13_shortcodes"),
            "param_name" => "title_size",
            "value" => array(
                'h1' => 'h1',
                'h2' => 'h2',
                'h3' => 'h3',
                'h4' => 'h4',
                'h5' => 'h5',
                'h6' => 'h6',
            ),
            "description" => __("Select size", "a13_shortcodes"),
        ),
        array(
            "type" => 'checkbox',
            "heading" => __("Bold?", "a13_shortcodes"),
            "param_name" => "bold",
            "value" => Array(__("Yes, please", "a13_shortcodes") => true)
        ),
        array(
            "type" => "colorpicker",
            "heading" => __("Title color", "a13_shortcodes"),
            "param_name" => "text_color",
            "description" => __("Select custom text color.", "a13_shortcodes"),
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Icon", "a13_shortcodes"),
            "param_name" => "a13_etline_icon",
            "value" => $etline_icons,
            "description" => __("Will be used in navigation button", "a13_shortcodes")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Icon size", "a13_shortcodes"),
            "param_name" => "icon_size",
            "description" => __("in pixels", "a13_shortcodes")
        ),
        array(
            "type" => "colorpicker",
            "heading" => __("Icon color", "a13_shortcodes"),
            "param_name" => "icon_color",
            "description" => __("Select custom icon color.", "a13_shortcodes"),
        ),
        array(
            "type" => 'checkbox',
            "heading" => __("Separate lines?", "a13_shortcodes"),
            "param_name" => "two_line",
            "value" => Array(__("Yes, please", "a13_shortcodes") => true),
            "description" => __("Will break into two lines; first for icon, second for title", "a13_shortcodes")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Text position", "a13_shortcodes"),
            "param_name" => "title_align",
            "value" => $align_arr_v2,
            "description" => '',
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "a13_shortcodes"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "a13_shortcodes")
        )
    ),
) );

/* Social bar
---------------------------------------------------------- */
vc_map( array(
    "name" => __("Social icons bar", "a13_shortcodes"),
    "base" => "apollo13_shortcode_socialbar",
    "icon" => "icon-wpb-nav-menu-anchor",
    "category" => __('Social', 'a13_shortcodes'),
    "show_settings_on_create" => false,
    "params" => array(
        array(
            "type" => 'checkbox',
            "heading" => __("Enable?", "a13_shortcodes"),
            "param_name" => "enable",
            "value" => Array(__("Yes, please", "a13_shortcodes") => true),
            "description" => __("This is just dummy input. It has no effect anywhere.", "a13_shortcodes")
        ),
    ),
) );



/* Call to Action Button
---------------------------------------------------------- */
vc_remove_element("vc_cta_button");


/* Recent post
---------------------------------------------------------- */
vc_remove_element("vc_teaser_grid");
$recent_posts_map_params = array(
    array(
        "type" => "textfield",
        "heading" => __("Widget title", "a13_shortcodes"),
        "param_name" => "title",
        "description" => __("What text use as a widget title. Leave blank if no title is needed.", "a13_shortcodes")
    ),
    /*
    array(
        "type" => "dropdown",
        "heading" => __("Columns count", "a13_shortcodes"),
        "param_name" => "grid_columns_count",
        "value" => array(4, 3, 2, 1),
        "admin_label" => true,
        "description" => __("Select columns count.", "a13_shortcodes")
    ),
    */
    array(
        "type" => "textfield",
        "heading" => __("Post count", "a13_shortcodes"),
        "param_name" => "grid_teasers_count",
        "description" => __('How many teasers to show? Enter number or word "All".', "a13_shortcodes")
    ),
    array(
        "type" => 'checkbox',
        "heading" => __("Load More button?", "a13_shortcodes"),
        "param_name" => "load_more_button",
        "value" => Array(__("Yes, please", "a13_shortcodes") => true),
        
    ),
//        array(
//            "type" => "dropdown",
//            "heading" => __("Layout", "a13_shortcodes"),
//            "param_name" => "grid_layout",
//            "value" => array(__("Title + Thumbnail + Text", "a13_shortcodes") => "title_thumbnail_text", __("Thumbnail + Title + Text", "a13_shortcodes") => "thumbnail_title_text", __("Thumbnail + Text", "a13_shortcodes") => "thumbnail_text", __("Thumbnail + Title", "a13_shortcodes") => "thumbnail_title", __("Thumbnail only", "a13_shortcodes") => "thumbnail", __("Title + Text", "a13_shortcodes") => "title_text"),
//            "description" => __("Teaser layout.", "a13_shortcodes")
//        ),
    array(
        "type" => "dropdown",
        "heading" => __("Link target", "a13_shortcodes"),
        "param_name" => "grid_link_target",
        "value" => array_merge($target_arr, array(__("To container via ajax", "a13_shortcodes") => "ajax_to_container") ),
    ),
    /*
    array(
        "type" => "dropdown",
        "heading" => __("Container position", "a13_shortcodes"),
        "param_name" => "container_position",
        "value" => array(__("Above", "a13_shortcodes") => "top", __('Below', "a13_shortcodes") => 'bottom'),
        "dependency" => Array('element' => 'grid_link_target', 'value' => 'ajax_to_container')
    ),
    */
    array(
        "type" => "dropdown",
        "heading" => __("Teaser grid layout", "a13_shortcodes"),
        "param_name" => "grid_template",
        "value" => array(__("Grid", "a13_shortcodes") => "grid", __("Grid with filter", "a13_shortcodes") => "filtered_grid"),
        "description" => __("Teaser layout template.", "a13_shortcodes")
    ),
    array(
        "type" => "dropdown",
        "heading" => __("Layout mode", "a13_shortcodes"),
        "param_name" => "grid_layout_mode",
        "value" => array(__("Fit rows", "a13_shortcodes") => "fitRows", __('Masonry', "a13_shortcodes") => 'masonry'),
        "dependency" => Array('element' => 'grid_template', 'value' => array('filtered_grid', 'grid')),
        "description" => __("Teaser layout template.", "a13_shortcodes")
    ),
    
//    array(
//        "type" => "dropdown",
//        "heading" => __("Single item layout", "a13_shortcodes"),
//        "param_name" => "grid_item_layout_mode",
//        "value" => array(__("Title below the image", "a13_shortcodes") => "classic", __('Title over the image', "a13_shortcodes") => 'overlay'),
//        "description" => __("Teaser layout template.", "a13_shortcodes")
//    ),
    
    array(
        "type" => "textfield",
        "heading" => __("Horizontal marigins of single item", "a13_shortcodes"),
        "param_name" => "h_margin",
        "value" => "0",
        "description" => __("will be applied as left and right margin.", "a13_shortcodes")
    ),
    array(
        "type" => "textfield",
        "heading" => __("Vertical marigins of single item", "a13_shortcodes"),
        "param_name" => "v_margin",
        "value" => "0",
        "description" => __("will be applied as left and right margin.", "a13_shortcodes")
    ),
    array(
        "type" => "textfield",
        "heading" => __("Height of single item", "a13_shortcodes"),
        "param_name" => "item_height",
        "value" => "200",
        "description" => ''
    ),
    
    array(
        "type" => "exploded_textarea",
        "heading" => __("Display order of the categories inside the filter", "a13_shortcodes"),
        "param_name" => "grid_categories_order",
        "description" => __("Enter slugs of Works Genres (Menu My Works >> Genre). One slug per line. Omitted categories WILL NOT BE DISPLAYED! Leave this field empty to display categories in default order.", "a13_shortcodes")
    ),
    /*    
    array(
        "type" => 'checkbox',
        "heading" => __("Collapsible filter?", "a13_shortcodes"),
        "param_name" => "collapsible_filter",
        "value" => Array(__("Yes, please", "a13_shortcodes") => true),
        "dependency" => Array('element' => 'grid_template', 'value' => array('filtered_grid', 'grid'))
    ),
    */    
    array(
        "type" => "dropdown",
        "heading" => __("Filter position", "a13_shortcodes"),
        "param_name" => "filter_position",
        "value" => $align_arr_v2,
        "dependency" => Array('element' => 'grid_template', 'value' => array('filtered_grid', 'grid'))
    ),
    array(
        "type" => "textfield",
        "heading" => __("Post/Page IDs", "a13_shortcodes"),
        "param_name" => "posts_in",
        "description" => __('Fill this field with page/posts IDs separated by commas (,) to retrieve only them. Use this in conjunction with "Post types" field.', "a13_shortcodes")
    ),
    array(
        "type" => "textfield",
        "heading" => __("Exclude Post/Page IDs", "a13_shortcodes"),
        "param_name" => "posts_not_in",
        "description" => __('Fill this field with page/posts IDs separated by commas (,) to exclude them from query.', "a13_shortcodes")
    ),
    array(
        "type" => "exploded_textarea",
        "heading" => __("Categories", "a13_shortcodes"),
        "param_name" => "grid_categories",
        "description" => __("If you want to narrow output, enter category names here. Note: Only listed categories will be included. Divide categories with linebreaks (Enter).", "a13_shortcodes")
    ),
    array(
        "type" => "dropdown",
        "heading" => __("Order by", "a13_shortcodes"),
        "param_name" => "orderby",
        "value" => array( "", __("Date", "a13_shortcodes") => "date", __("ID", "a13_shortcodes") => "ID", __("Author", "a13_shortcodes") => "author", __("Title", "a13_shortcodes") => "title", __("Modified", "a13_shortcodes") => "modified", __("Random", "a13_shortcodes") => "rand", __("Comment count", "a13_shortcodes") => "comment_count", __("Menu order", "a13_shortcodes") => "menu_order" ),
        "description" => sprintf(__('Select how to sort retrieved posts. More at %s.', 'a13_shortcodes'), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>')
    ),
    array(
        "type" => "dropdown",
        "heading" => __("Order way", "a13_shortcodes"),
        "param_name" => "order",
        "value" => array( __("Descending", "a13_shortcodes") => "DESC", __("Ascending", "a13_shortcodes") => "ASC" ),
        "description" => sprintf(__('Designates the ascending or descending order. More at %s.', 'a13_shortcodes'), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>')
    ),
    array(
        "type" => "textfield",
        "heading" => __("Extra class name", "a13_shortcodes"),
        "param_name" => "el_class",
        "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "a13_shortcodes")
    )
);

$recent_posts_map_params_clear = array(
    array(
        "type" => "textfield",
        "heading" => __("Widget title", "a13_shortcodes"),
        "param_name" => "title",
        "description" => __("What text use as a widget title. Leave blank if no title is needed.", "a13_shortcodes")
    ),
    array(
        "type" => "dropdown",
        "heading" => __("Columns count", "a13_shortcodes"),
        "param_name" => "grid_columns_count",
        "value" => array(4, 3, 2, 1),
        "admin_label" => true,
        "description" => __("Select columns count.", "a13_shortcodes")
    ),
    array(
        "type" => "textfield",
        "heading" => __("Post count", "a13_shortcodes"),
        "param_name" => "grid_teasers_count",
        "description" => __('How many teasers to show? Enter number or word "All".', "a13_shortcodes")
    ),
    array(
        "type" => 'checkbox',
        "heading" => __("Load More button?", "a13_shortcodes"),
        "param_name" => "load_more_button",
        "value" => Array(__("Yes, please", "a13_shortcodes") => true),
        
    ),
//        array(
//            "type" => "dropdown",
//            "heading" => __("Layout", "a13_shortcodes"),
//            "param_name" => "grid_layout",
//            "value" => array(__("Title + Thumbnail + Text", "a13_shortcodes") => "title_thumbnail_text", __("Thumbnail + Title + Text", "a13_shortcodes") => "thumbnail_title_text", __("Thumbnail + Text", "a13_shortcodes") => "thumbnail_text", __("Thumbnail + Title", "a13_shortcodes") => "thumbnail_title", __("Thumbnail only", "a13_shortcodes") => "thumbnail", __("Title + Text", "a13_shortcodes") => "title_text"),
//            "description" => __("Teaser layout.", "a13_shortcodes")
//        ),
    array(
        "type" => "dropdown",
        "heading" => __("Link target", "a13_shortcodes"),
        "param_name" => "grid_link_target",
        "value" => $target_arr,
    ),
    array(
        "type" => "dropdown",
        "heading" => __("Container position", "a13_shortcodes"),
        "param_name" => "container_position",
        "value" => array(__("Above", "a13_shortcodes") => "top", __('Below', "a13_shortcodes") => 'bottom'),
        "dependency" => Array('element' => 'grid_link_target', 'value' => 'ajax_to_container')
    ),
    /*
    array(
        "type" => "dropdown",
        "heading" => __("Teaser grid layout", "a13_shortcodes"),
        "param_name" => "grid_template",
        "value" => array(__("Grid", "a13_shortcodes") => "grid", __("Grid with filter", "a13_shortcodes") => "filtered_grid"),
        "description" => __("Teaser layout template.", "a13_shortcodes")
    ),
    
    array(
        "type" => "dropdown",
        "heading" => __("Layout mode", "a13_shortcodes"),
        "param_name" => "grid_layout_mode",
        "value" => array(__("Fit rows", "a13_shortcodes") => "fitRows", __('Masonry', "a13_shortcodes") => 'masonry'),
        "dependency" => Array('element' => 'grid_template', 'value' => array('filtered_grid', 'grid')),
        "description" => __("Teaser layout template.", "a13_shortcodes")
    ),
    
    array(
        "type" => "dropdown",
        "heading" => __("Single item layout", "a13_shortcodes"),
        "param_name" => "grid_item_layout_mode",
        "value" => array(__("Image + title + meta + excerpt", "a13_shortcodes") => "excerpt", __('No excerpt mode', "a13_shortcodes") => 'simple'),
        "description" => __("Teaser layout template.", "a13_shortcodes")
    ),
    */
    array(
        "type" => "textfield",
        "heading" => __("Horizontal marigins of single item", "a13_shortcodes"),
        "param_name" => "h_margin",
        "value" => "0",
        "description" => __("will be applied as left and right margin.", "a13_shortcodes")
    ),
    array(
        "type" => "textfield",
        "heading" => __("Vertical marigins of single item", "a13_shortcodes"),
        "param_name" => "v_margin",
        "value" => "0",
        "description" => __("will be applied as left and right margin.", "a13_shortcodes")
    ),
    
    
    array(
        "type" => "textfield",
        "heading" => __("Post/Page IDs", "a13_shortcodes"),
        "param_name" => "posts_in",
        "description" => __('Fill this field with page/posts IDs separated by commas (,) to retrieve only them. Use this in conjunction with "Post types" field.', "a13_shortcodes")
    ),
    array(
        "type" => "textfield",
        "heading" => __("Exclude Post/Page IDs", "a13_shortcodes"),
        "param_name" => "posts_not_in",
        "description" => __('Fill this field with page/posts IDs separated by commas (,) to exclude them from query.', "a13_shortcodes")
    ),
    array(
        "type" => "exploded_textarea",
        "heading" => __("Categories", "a13_shortcodes"),
        "param_name" => "grid_categories",
        "description" => __("If you want to narrow output, enter category names here. Note: Only listed categories will be included. Divide categories with linebreaks (Enter).", "a13_shortcodes")
    ),
    array(
        "type" => "dropdown",
        "heading" => __("Order by", "a13_shortcodes"),
        "param_name" => "orderby",
        "value" => array( "", __("Date", "a13_shortcodes") => "date", __("ID", "a13_shortcodes") => "ID", __("Author", "a13_shortcodes") => "author", __("Title", "a13_shortcodes") => "title", __("Modified", "a13_shortcodes") => "modified", __("Random", "a13_shortcodes") => "rand", __("Comment count", "a13_shortcodes") => "comment_count", __("Menu order", "a13_shortcodes") => "menu_order" ),
        "description" => sprintf(__('Select how to sort retrieved posts. More at %s.', 'a13_shortcodes'), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>')
    ),
    array(
        "type" => "dropdown",
        "heading" => __("Order way", "a13_shortcodes"),
        "param_name" => "order",
        "value" => array( __("Descending", "a13_shortcodes") => "DESC", __("Ascending", "a13_shortcodes") => "ASC" ),
        "description" => sprintf(__('Designates the ascending or descending order. More at %s.', 'a13_shortcodes'), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>')
    ),
    array(
        "type" => "textfield",
        "heading" => __("Extra class name", "a13_shortcodes"),
        "param_name" => "el_class",
        "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "a13_shortcodes")
    )
);

vc_map( array(
    "name" => __("Recent posts", "a13_shortcodes"),
    "base" => "a13_recent_posts",
    "icon" => "icon-wpb-application-icon-large",
    "category" => __('Content', 'a13_shortcodes'),
    "params" => $recent_posts_map_params_clear
) );
vc_map( array(
    "name" => __("Works list", "a13_shortcodes"),
    "base" => "a13_recent_works",
    "icon" => "icon-wpb-application-icon-large",
    "category" => __('Content', 'a13_shortcodes'),
    "params" => $recent_posts_map_params
) );



/* Progress bar
---------------------------------------------------------- */
vc_remove_element("vc_progress_bar");
vc_map( array(
    "name" => __("Progress Bar", "a13_shortcodes"),
    "base" => "a13_progress_bar",
    "icon" => "icon-wpb-graph",
    "category" => __('Content', 'a13_shortcodes'),
    "params" => array(
        array(
            "type" => "textfield",
            "heading" => __("Widget title", "a13_shortcodes"),
            "param_name" => "title",
            "description" => __("What text use as a widget title. Leave blank if no title is needed.", "a13_shortcodes")
        ),
    
        array(
            'type' => 'dropdown',
            'heading' => __( 'Layout mode', 'a13_shortcodes' ),
            'param_name' => 'a13_mode',
            'value' => array(
    			__( 'Unique theme style', 'a13_shortcodes' ) => 'a13',
    			__( 'Genuine VC style', 'a13_shortcodes' ) => 'vc'
    		),
        ),
        array(
            "type" => "exploded_textarea",
            "heading" => __("Graphic values", "a13_shortcodes"),
            "param_name" => "values",
            "description" => __('Input graph values here. Divide values with linebreaks (Enter). Example: <code>90|Development|black</code>. Colors to use are: <code>grey, blue, turquoise, green, orange, red, black. If no color is used then row lead color is applied</code>', "a13_shortcodes"),
            "value" => "90|Development|black,80|Design|turquoise,70|Marketing"
        ),
        array(
            "type" => "textfield",
            "heading" => __("Units", "a13_shortcodes"),
            "param_name" => "units",
            "description" => __("Enter measurement units (if needed) Eg. %, px, points, etc. Graph value and unit will be appended to the graph title.", "a13_shortcodes"),
            "dependency" => Array('element' => 'a13_mode', 'value' => array('vc'))
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Bar color", "a13_shortcodes"),
            "param_name" => "bgcolor",
            "value" => array(__("Grey", "a13_shortcodes") => "bar_grey", __("Blue", "a13_shortcodes") => "bar_blue", __("Turquoise", "a13_shortcodes") => "bar_turquoise", __("Green", "a13_shortcodes") => "bar_green", __("Orange", "a13_shortcodes") => "bar_orange", __("Red", "a13_shortcodes") => "bar_red", __("Black", "a13_shortcodes") => "bar_black"),
            "description" => __("Select bar background color.", "a13_shortcodes"),
            "admin_label" => true,
            "dependency" => Array('element' => 'a13_mode', 'value' => array('vc'))
        ),
        array(
            "type" => "checkbox",
            "heading" => __("Options", "a13_shortcodes"),
            "param_name" => "options",
            "value" => array(__("Add Stripes?", "a13_shortcodes") => "striped", __("Add animation? Will be visible with striped bars.", "a13_shortcodes") => "animated"),
            "dependency" => Array('element' => 'a13_mode', 'value' => array('vc'))
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "a13_shortcodes"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "a13_shortcodes")
        )
    )
) );


/* Separator (Divider)
---------------------------------------------------------- */
vc_remove_element("vc_separator");
vc_map( array(
    "name"		=> __("Separator", "a13_shortcodes"),
    "base"		=> "vc_separator",
    'icon'		=> 'icon-wpb-ui-separator',
    "category"  => __('Content', 'a13_shortcodes'),
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => __("Line position", "a13_shortcodes"),
            "param_name" => "position",
            "value" => array_merge(array(__("Full width", "a13_shortcodes") => 'full_width'),$align_arr),
            "description" => ''
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Line type", "a13_shortcodes"),
            "param_name" => "type",
            "value" => array(
                __("Single line", "a13_shortcodes") => 'single_line',
                __("Double line", "a13_shortcodes") => 'double_line',
                __("Single dots", "a13_shortcodes") => 'single_dots',
                __("Double dots", "a13_shortcodes") => 'double_dots',
                __("Empty Line", "a13_shortcodes") => 'empty',
            ),
            "description" => '',
            "admin_label" => true,
        ),
        array(
            "type" => "textfield",
            "heading" => __("Margin top", "a13_shortcodes"),
            "param_name" => "margin_top",
            "value" => "",
            "description" => __("It will add margin in top. Type number. Value in pixels.", "a13_shortcodes"),
        ),
        array(
            "type" => "textfield",
            "heading" => __("Margin bottom", "a13_shortcodes"),
            "param_name" => "margin_bottom",
            "value" => "",
            "description" => __("It will add margin at bottom. Type number. Value in pixels.", "a13_shortcodes"),
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "a13_shortcodes"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "a13_shortcodes")
        )
    ),
) );




/* Button
---------------------------------------------------------- */
vc_remove_element("vc_button");



/* Pricing tables via Go - Responsive Pricing & Compare Tables
---------------------------------------------------------- */
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if (is_plugin_active('go_pricing/go_pricing.php')) {

    $pricing_tables = get_option( GW_GO_PREFIX . 'tables' );
    $tables = array();

    /* load default page -> pricing table selector */
    if ( !empty( $pricing_tables ) ) {

        foreach( $pricing_tables as $value ) {
            $key = $value['table-name'];
            $tables[$key] = $value['table-id'];
        }
//        var_dump($tables);
    }

    vc_map( array(
        "name" => __("Go pricing tables", "a13_shortcodes"),
        "base" => "go_pricing",
        "icon" => "icon-go-pricing",
        "category" => __('Content', 'a13_shortcodes'),
        "params" => array(
            array(
                "type" => "dropdown",
                "heading" => __("Table", "a13_shortcodes"),
                "param_name" => "id",
                "value" => $tables,
                "description" => __("Select pricing table to display", "a13_shortcodes"),
                "admin_label" => true,
            ),
            array(
                "type" => "textfield",
                "heading" => __("Margin bottom", "a13_shortcodes"),
                "param_name" => "margin_bottom",
                "value" => '20px',
                "description" => __("It will add margin at bottom. Value can be any valid CSS unit.", "a13_shortcodes"),
                "admin_label" => true,
            ),
        ),
    ) );
}

/* Counter shortcode
---------------------------------------------------------- */


function apollo13_counter_display($atts, $content = null, $code) {
    $output = '';
    
    extract(shortcode_atts(array(
        //'title' => '',
        'start' => '',
        'end' => '',
        'decimal' => 0,
        'appendix' => '',
        'time' => '',
        'size' => 'h4',
        'easing' => 'linear',
        'color' => '#000000',
        'step_time' => 0,
        //'subtitle' => '',
        
        
        
        
    ), $atts));
    wp_enqueue_script( 'waypoints' );
    $output .= '<div class="a13_counter_sc">';
    
    //$output .= '<span class="a13_counter_sc_title">'.$title.'</span>';
    
    $output .= '<span class="a13_counter_sc_digits" style="color:'.$color.';" ';
    $output .= 'data-start="'.esc_attr($start).'" ';
    $output .= 'data-end="'.esc_attr($end).'" ';
    $output .= 'data-time="'.esc_attr($time).'" ';
    $output .= 'data-decimal="'.esc_attr($decimal).'" ';
    $output .= 'data-easing="'.esc_attr($easing).'" ';
    $output .= 'data-step-time="'.esc_attr($step_time).'" ';
    $output .= 'data-append="'.esc_attr($appendix).'" ';
    $output .= '><'.$size.' class="inner_wrapper"></'.$size.'>';
    $output .= '</span>';
    
    //$output .= '<span class="a13_counter_sc_subtitle">'.$subtitle.'</span>';
    
    $output .= '</div>';

    

    return $output;
}
add_shortcode('apollo13_counter_shortcode', 'apollo13_counter_display');

vc_map( array(
    "name" => __("Counter", "a13_shortcodes"),
    "base" => "apollo13_counter_shortcode",
    "icon" => "icon-wpb-layer-shape-text",
    "category" => __('Content', 'a13_shortcodes'),
    "params" => array(
        /*
        array(
            "type" => "textfield",
            "heading" => __("Title", "a13_shortcodes"),
            "param_name" => "title",
            "value" => __("Title", "a13_shortcodes"),
        ),
        array(
            "type" => "textfield",
            "heading" => __("Bottom text", "a13_shortcodes"),
            "param_name" => "subtitle",
            "value" => __("Value or description", "a13_shortcodes"),
        ),
        */
        array(
            "type" => "textfield",
            "heading" => __("Start value", "a13_shortcodes"),
            "param_name" => "start",
            "value" => '',
        ),
        array(
            "type" => "textfield",
            "heading" => __("End value", "a13_shortcodes"),
            "param_name" => "end",
            "value" => '',
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Increment mode", "a13_shortcodes"),
            "param_name" => "easing",
            "value" => array(
                'linear' => 'linear',
                'swing' => 'swing',
                'easeInQuad' => 'easeInQuad',
                'easeOutQuad' => 'easeOutQuad',
                'easeInOutQuad' => 'easeInOutQuad',
                'easeInCubic' => 'easeInCubic',
                'easeOutCubic' => 'easeOutCubic',
                'easeInOutCubic' => 'easeInOutCubic',
                'easeInQuart' => 'easeInQuart',
                'easeOutQuart' => 'easeOutQuart',
                'easeInOutQuart' => 'easeInOutQuart',
                'easeInQuint' => 'easeInQuint',
                'easeOutQuint' => 'easeOutQuint',
                'easeInOutQuint' => 'easeInOutQuint',
                'easeInExpo' => 'easeInExpo',
                'easeOutExpo' => 'easeOutExpo',
                'easeInOutExpo' => 'easeInOutExpo',
                'easeInSine' => 'easeInSine',
                'easeOutSine' => 'easeOutSine',
                'easeInOutSine' => 'easeInOutSine',
                'easeInCirc' => 'easeInCirc',
                'easeOutCirc' => 'easeOutCirc',
                'easeInOutCirc' => 'easeInOutCirc',
                
            ),
            "description" => sprintf(__('Explanation at %s.', 'a13_shortcodes'), '<a href="http://api.jqueryui.com/easings/" target="_blank">this jQuery page</a>')
        ),
        array(
            "type" => "textfield",
            "heading" => __("Step time", "a13_shortcodes"),
            "param_name" => "step_time",
            "value" => 0,
            "description" => __("In milliseconds - time of single counter step duration. Set '0' for maximal animation speed.", "a13_shortcodes"),
        ),
        array(
            "type" => "textfield",
            "heading" => __("Appendix", "a13_shortcodes"),
            "param_name" => "appendix",
            "value" => '',
            "description" => __("String displayed right after the numbers", "a13_shortcodes"),
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Digits size", "a13_shortcodes"),
            "param_name" => "size",
            "value" => array(
                'h1' => 'h1',
                'h2' => 'h2',
                'h3' => 'h3',
                'h4' => 'h4',
                'h5' => 'h5',
                'h6' => 'h6',
            ),
            "description" => __("Select size", "a13_shortcodes"),
        ),
        array(
            "type" => "colorpicker",
            "heading" => __("Digits color", "a13_shortcodes"),
            "param_name" => "color",
            "value" => "#000000",
        ),
        array(
            "type" => "textfield",
            "heading" => __("Time", "a13_shortcodes"),
            "param_name" => "time",
            "value" => '',
            "description" => __("How many milliseconds counting will last.", "a13_shortcodes"),
        ),
        array(
            "type" => "textfield",
            "heading" => __("Decimal places", "a13_shortcodes"),
            "param_name" => "decimal",
            "value" => 0,
        ),
        
    ),
) );


/*PEOPLE */

add_shortcode('a13_team', 'apollo13_shortcode_post_teaser');

vc_map( array(
    "name" => __("Team", "a13_shortcodes"),
    "base" => "a13_team",
    "icon" => "icon-wpb-application-icon-large",
    "category" => __('Content', 'a13_shortcodes'),
    "params" => array(
        /*
        array(
            "type" => "textfield",
            "heading" => __("Widget title", "a13_shortcodes"),
            "param_name" => "title",
            "description" => __("What text use as a widget title. Leave blank if no title is needed.", "a13_shortcodes")
        ),
        
        array(
            "type" => "dropdown",
            "heading" => __("Columns count", "a13_shortcodes"),
            "param_name" => "grid_columns_count",
            "value" => array(4, 3, 2, 1),
            "admin_label" => true,
            "description" => __("Select columns count.", "a13_shortcodes")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Post count", "a13_shortcodes"),
            "param_name" => "grid_teasers_count",
            "description" => __('How many teasers to show? Enter number or word "All".', "a13_shortcodes")
        ),
        array(
            "type" => 'checkbox',
            "heading" => __("Load More button?", "a13_shortcodes"),
            "param_name" => "load_more_button",
            "value" => Array(__("Yes, please", "a13_shortcodes") => true),
            
        ),
    //        array(
    //            "type" => "dropdown",
    //            "heading" => __("Layout", "a13_shortcodes"),
    //            "param_name" => "grid_layout",
    //            "value" => array(__("Title + Thumbnail + Text", "a13_shortcodes") => "title_thumbnail_text", __("Thumbnail + Title + Text", "a13_shortcodes") => "thumbnail_title_text", __("Thumbnail + Text", "a13_shortcodes") => "thumbnail_text", __("Thumbnail + Title", "a13_shortcodes") => "thumbnail_title", __("Thumbnail only", "a13_shortcodes") => "thumbnail", __("Title + Text", "a13_shortcodes") => "title_text"),
    //            "description" => __("Teaser layout.", "a13_shortcodes")
    //        ),
        array(
            "type" => "dropdown",
            "heading" => __("Link target", "a13_shortcodes"),
            "param_name" => "grid_link_target",
            "value" => array_merge($target_arr, array(__("To container via ajax", "a13_shortcodes") => "ajax_to_container") ),
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Container position", "a13_shortcodes"),
            "param_name" => "container_position",
            "value" => array(__("Above", "a13_shortcodes") => "top", __('Below', "a13_shortcodes") => 'bottom'),
            "dependency" => Array('element' => 'grid_link_target', 'value' => 'ajax_to_container')
        ),
        */
        array(
            "type" => "dropdown",
            "heading" => __("Grid variant", "a13_shortcodes"),
            "param_name" => "grid_template",
            "value" => array(__("Grid", "a13_shortcodes") => "grid", __("Grid with filter", "a13_shortcodes") => "filtered_grid"),
            "description" => __("Teaser layout template.", "a13_shortcodes")
        ),
        /*
        array(
            "type" => "dropdown",
            "heading" => __("Layout mode", "a13_shortcodes"),
            "param_name" => "grid_layout_mode",
            "value" => array(__("Fit rows", "a13_shortcodes") => "fitRows", __('Masonry', "a13_shortcodes") => 'masonry'),
            "dependency" => Array('element' => 'grid_template', 'value' => array('filtered_grid', 'grid')),
            "description" => __("Teaser layout template.", "a13_shortcodes")
        ),*/
        
    //    array(
    //        "type" => "dropdown",
    //        "heading" => __("Single item layout", "a13_shortcodes"),
    //        "param_name" => "grid_item_layout_mode",
    //        "value" => array(__("Title below the image", "a13_shortcodes") => "classic", __('Title over the image', "a13_shortcodes") => 'overlay'),
    //        "description" => __("Teaser layout template.", "a13_shortcodes")
    //    ),
        
        array(
            "type" => "textfield",
            "heading" => __("Horizontal marigins of single item", "a13_shortcodes"),
            "param_name" => "h_margin",
            "value" => "0",
            "description" => __("will be applied as left and right margin.", "a13_shortcodes")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Vertical marigins of single item", "a13_shortcodes"),
            "param_name" => "v_margin",
            "value" => "0",
            "description" => __("will be applied as left and right margin.", "a13_shortcodes")
        ),
        /*
        array(
            "type" => "exploded_textarea",
            "heading" => __("Display order of the categories inside the filter", "a13_shortcodes"),
            "param_name" => "grid_categories_order",
            "description" => __("Enter slugs of Works Genres (Menu My Works >> Genre). One slug per line. Omitted categories WILL NOT BE DISPLAYED! Leave this field empty to display categories in default order.", "a13_shortcodes")
        ),
        
        array(
            "type" => 'checkbox',
            "heading" => __("Collapsible filter?", "a13_shortcodes"),
            "param_name" => "collapsible_filter",
            "value" => Array(__("Yes, please", "a13_shortcodes") => true),
            "dependency" => Array('element' => 'grid_template', 'value' => 'filtered_grid')
        ),
        */
        array(
            "type" => "dropdown",
            "heading" => __("Filter position", "a13_shortcodes"),
            "param_name" => "filter_position",
            "value" => $align_arr_v2,
            "dependency" => Array('element' => 'grid_template', 'value' => 'filtered_grid')
        ),
        /*
        array(
            "type" => "textfield",
            "heading" => __("Post/Page IDs", "a13_shortcodes"),
            "param_name" => "posts_in",
            "description" => __('Fill this field with page/posts IDs separated by commas (,) to retrieve only them. Use this in conjunction with "Post types" field.', "a13_shortcodes")
        ),
        array(
            "type" => "textfield",
            "heading" => __("Exclude Post/Page IDs", "a13_shortcodes"),
            "param_name" => "posts_not_in",
            "description" => __('Fill this field with page/posts IDs separated by commas (,) to exclude them from query.', "a13_shortcodes")
        ),*/
        array(
            "type" => "exploded_textarea",
            "heading" => __("Categories", "a13_shortcodes"),
            "param_name" => "grid_categories",
            "description" => __("If you want to narrow output, enter category names here. Note: Only listed categories will be included. Divide categories with linebreaks (Enter).", "a13_shortcodes")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Order by", "a13_shortcodes"),
            "param_name" => "orderby",
            "value" => array( "", __("Date", "a13_shortcodes") => "date", __("ID", "a13_shortcodes") => "ID", __("Author", "a13_shortcodes") => "author", __("Title", "a13_shortcodes") => "title", __("Modified", "a13_shortcodes") => "modified", __("Random", "a13_shortcodes") => "rand", __("Comment count", "a13_shortcodes") => "comment_count", __("Menu order", "a13_shortcodes") => "menu_order" ),
            "description" => sprintf(__('Select how to sort retrieved posts. More at %s.', 'a13_shortcodes'), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>')
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Order way", "a13_shortcodes"),
            "param_name" => "order",
            "value" => array( __("Descending", "a13_shortcodes") => "DESC", __("Ascending", "a13_shortcodes") => "ASC" ),
            "description" => sprintf(__('Designates the ascending or descending order. More at %s.', 'a13_shortcodes'), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>')
        ),
        array(
            "type" => "textfield",
            "heading" => __("Extra class name", "a13_shortcodes"),
            "param_name" => "el_class",
            "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "a13_shortcodes")
        )
    )
) );

function a13_get_post_meta_all($post_id){
    global $wpdb;
    $data   =   array();
    $wpdb->query("
        SELECT `meta_key`, `meta_value`
        FROM $wpdb->postmeta
        WHERE `post_id` = $post_id
    ");
    foreach($wpdb->last_result as $k => $v){
        $data[$v->meta_key] =   $v->meta_value;
    };
    return $data;
}
function apollo13_people_display($atts, $content = null, $code){
    $output = $title =  $onclick = $custom_links = $img_size = $custom_links_target = $images = $el_class = $partial_view = '';
    $mode = $slides_per_view = $autoplay = $hide_pagination_control = $hide_prev_next_buttons = $speed ='';
    extract(shortcode_atts(array(
        'people_display' => '',    
        'people_groups' => '',
        'img_size' => 'apollo-people',
        'slides_per_view' => '1',
        'autoplay' => '',
        'hide_pagination_control' => '',
        'hide_prev_next_buttons' => '',
        'speed' => '1000',
        'interval' => '5000',  
        'slide_rows' => 0,
        'scroll' => '1',
        'el_class' => ''
    ), $atts));
    $post_type = 'people';
    $gal_images = '';
    $link_start = '';
    $link_end = '';
    $el_start = '';
    $el_end = '';
    $slides_wrap_start = '';
    $slides_wrap_end = '';
    $pretty_rand = $onclick == 'link_image' ? rand() : '';
    $taxonomies = array('group');
    
    
    wp_enqueue_script('owl_carousel_js');
    
    
    wp_enqueue_script('custom_scrollbar_js');
    wp_enqueue_style('custom_scrollbar_css');
    
    //get the people
    $query_args = array();
    
    $query_args['orderby'] = 'ID';
    $query_args['post_type'] = $post_type;
    
    if ( $people_groups != '' ) {
        $people_groups = explode(",", $people_groups);
        $gs = array();
        foreach ( $people_groups as $people_group ) {
            array_push($gs, $people_group);
            $term_data = get_term_by( 'name', trim($people_group), $taxonomies[0] );
            
        }
        $gs = implode(",", $gs);
        ////http://snipplr.com/view/17434/wordpress-get-category-slug/
        $query_args['category_name'] = $gs;
    
        $taxonomies = get_taxonomies('', 'object');
        $query_args['tax_query'] = array('relation' => 'OR');
        foreach ( $taxonomies as $t ) {
            if ( in_array($t->object_type[0], (array)$post_type) ) {
                $query_args['tax_query'][] = array(
                    'taxonomy' => $t->name,//$t->name,//'portfolio_category',
                    'terms' => $people_groups,
                    'field' => 'slug',
                );
            }
        }
    }
    $query_args['posts_per_page'] = '-1';
    $my_query = new WP_Query($query_args);
    
    $el_class = a13_sc_getExtraClass($el_class);
    
    
    
    if ( $onclick == 'custom_link' ) { $custom_links = explode( ',', $custom_links); }
    
    
    $css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, 'wpb_images_carousel wpb_content_element' . $el_class . ' vc_clearfix', 'apollo13_people_shortcode', $atts );
    $carousel_id = 'vc-images-carousel-'.rand();
    
    $tmp_output = $extra_classes = $testimonial_extra_attr = '';
    
    while ( $my_query->have_posts() ){
                    
        $my_query->the_post();
        $post_id = $my_query->post->ID;
        
        
        $people_title = get_the_title();
        $people_subtitle = get_post_meta($post_id, '_subtitle', true);

        
        $content = get_the_content();
        $content = wpautop($content);
        
        
        $post_thumbnail = wpb_getImageBySize(array( 'post_id' => $post_id, 'thumb_size' => 'apollo-people' ));

        $thumbnail_addr = $post_thumbnail['p_img_large'][0];
        
        
        $overlay_bg_color = get_post_meta($post_id, '_overlay_bg_color', true);
        $overlay_font_color = get_post_meta($post_id, '_overlay_font_color', true);

        $overlay_class = "g-link-ovrl_".$post_id;
        $background_class = "g-link-bgimg_".$post_id;
              
        $extra_classes .= ".".$background_class."{background-image:url('".$thumbnail_addr."');}.".$overlay_class."{background-color:".$overlay_bg_color.";color:".$overlay_font_color.";}";     
        
        if($people_display == 'testimonial'){
            $testimonial_extra_attr = ' data-url="'.post_permalink( $post_id ).'"';
        }

        $tmp_output .= '
        <div class="people_item '.esc_attr($people_display).'" '.$testimonial_extra_attr.'>';
            
            if($people_display == 'simple'){
                $tmp_output .= '<div class="people_flip"><div class="people_img '.esc_attr($background_class).'"></div><div class="people_img_overlay touch_scroll '.esc_attr($overlay_class).'">'.$content.'</div></div>';
            }
            
            if($people_display == 'testimonial'){
                $tmp_output .= '<div class="people_img '.esc_attr($background_class).'"></div><div class="people_text_block"><div class="title"><h5>'.$people_title.'</h5></div><div class="subtitle">'.$people_subtitle.'</div></div>';
            }
            
        $tmp_output .= '        
        </div>';
    
    
    } 
    
    
    $output = '<div class="">';
    if( strlen($extra_classes) ){
        $output .= "<style scoped>".$extra_classes."</style>";
    }
        $output .= '<div class="wpb_wrapper">'.
            ($people_display == 'testimonial' ? '<div class="a13_testimonial_cloud"><div class="a13_testimonial_cloud_interior"></div></div>' : '' ).
            '<div id="'.esc_attr($carousel_id).'"  
             
            data-interval="'.($autoplay == 'yes' ? $interval : 0).'" 
            data-autoplay="'.esc_attr($autoplay) .'" 
            data-speed="'.esc_attr($speed) .'" 
            data-scroll="'.esc_attr($scroll) .'" 
            data-hide_nav="'.esc_attr($hide_prev_next_buttons) .'" 
            data-hide_pag="'.esc_attr($hide_pagination_control) .'" 
            data-per_view="'.esc_attr($slides_per_view) .'" 
            data-slide_rows="'.esc_attr($slide_rows) .'" 
            class="vc-slide vc-carousel a13-custom-image-carousel a13-people-carousel '.($people_display == 'testimonial' ? 'a13-people-carousel-testimonial' : '' ).'">
                
                <!-- Wrapper for slides -->
                <div class="vc-carousel-inner">
                    <div class="vc-carousel-slideline a13-carousel-slideline"><div class="vc-carousel-slideline-inner">'.
                    $tmp_output.
                    '</div></div>
                </div>
            </div>
        </div>
    </div>';
    
    return $output;
}

add_shortcode('apollo13_people_shortcode', 'apollo13_people_display');

vc_map( array(
    "name" => __("People", "a13_shortcodes"),
    "base" => "apollo13_people_shortcode",
    "icon" => "icon-wpb-layer-shape-text",
    "category" => __('Content', 'a13_shortcodes'),
    "params" => array(
        array(
            "type" => "dropdown",
            "heading" => __("Display people as", "a13_shortcodes"),
            "param_name" => "people_display",
            "value" => array(
                __("Simple presentation", "a13_shortcodes") => "simple", 
                
                __('Testimonial', "a13_shortcodes") => 'testimonial'),
            
        ),
        array(
            "type" => "exploded_textarea",
            "heading" => __("Groups", "a13_shortcodes"),
            "param_name" => "people_groups",
            "description" => __("If you want to narrow output, enter people groups names here. Note: Only listed groups will be included. Divide groups with linebreaks (Enter).", "a13_shortcodes")
        ),
        array(
            'type' => 'textfield',
            'heading' => __( 'Slider interval', 'a13_shortcodes' ),
            'param_name' => 'interval',
            'description' => __( 'in milliseconds', 'a13_shortcodes' )
        ), array(
            'type' => 'textfield',
            'heading' => __( 'Slider speed', 'a13_shortcodes' ),
            'param_name' => 'speed',
            'value' => '1000',
            'description' => __( 'Duration of animation between slides (in ms)', 'a13_shortcodes' )
        ), array(
            'type' => 'textfield',
            'heading' => __( 'Amount of sliders to scroll at once', 'a13_shortcodes' ),
            'param_name' => 'scroll',
            'value' => '1',
            'description' => '',
            
        ), array(
            'type' => 'textfield',
            'heading' => __( 'Slides per view', 'a13_shortcodes' ),
            'param_name' => 'slides_per_view',
            'value' => '1',
            'description' => __( 'Set numbers of slides you want to display at the same time on slider\'s container for carousel mode.', 'a13_shortcodes' ),
            
        ),array(
            'type' => 'textfield',
            'heading' => __( 'Rows of items per slide', 'a13_shortcodes' ),
            'param_name' => 'slide_rows',
            'value' => '2',
            'description' => __( 'How many rows filled with items. Set to "0" if You want to display only one item per slide.', 'a13_shortcodes' ),
            
        ), array(
            'type' => 'checkbox',
            'heading' => __( 'Slider autoplay', 'a13_shortcodes' ),
            'param_name' => 'autoplay',
            'description' => __( 'Enables autoplay mode.', 'a13_shortcodes' ),
            'value' => array( __( 'Yes, please', 'a13_shortcodes' ) => 'yes' )
        ), array(
            'type' => 'checkbox',
            'heading' => __( 'Hide pagination control', 'a13_shortcodes' ),
            'param_name' => 'hide_pagination_control',
            'description' => __( 'If YES pagination control will be removed.', 'a13_shortcodes' ),
            'value' => array( __( 'Yes, please', 'a13_shortcodes' ) => 'yes' )
        ), array(
            'type' => 'checkbox',
            'heading' => __( 'Hide prev/next buttons', 'a13_shortcodes' ),
            'param_name' => 'hide_prev_next_buttons',
            'description' => __( 'If "YES" prev/next control will be removed.', 'a13_shortcodes' ),
            'value' => array( __( 'Yes, please', 'a13_shortcodes' ) => 'yes' )
        ), array(
            'type' => 'textfield',
            'heading' => __( 'Extra class name', 'a13_shortcodes' ),
            'param_name' => 'el_class',
            'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'a13_shortcodes' )
        )
        
    ),
) );



vc_remove_element("vc_basic_grid");
vc_remove_element("vc_media_grid");
vc_remove_element("vc_masonry_grid");
vc_remove_element("vc_masonry_media_grid");